%% REFERENCES
% <latex> \small \parskip=2pt
% \def\parr{{\tiny\sl ~CHECK}\par}
% Each reference is followed by a note highlighting a
% contribution of that publication that is relevant to this book.
% These notes are by no means comprehensive: in most cases the references
% include other significant contributions too.
% Papers listed by authors such as Cauchy,
% Chebyshev, Gauss, Jacobi, and Weierstrass
% can also be found in their collected works.
% \par
% Among mathematicians of the 19th century, it is hard not to be struck
% by the remarkable creativity of Jacobi (1804--1851),
% who in his short life made key early contributions to
% barycentric interpolation [1825], orthogonal polynomials and
% Gauss quadrature [1826], and
% Pad\'e approximation and rational interpolation [1846], as well
% as innumerable topics outside the scope of this book.
% \par
% As of May 2012, the Mathematics Genealogy Project lists
% 8605 adademic descendents of Pafnuty Lvovich Chebyshev.  For
% example, one chain runs
% Chebyshev--Lyapunov--Steklov--Smirnov--Sobolev--V. I. Lebedev,
% and another runs
% Chebyshev--Markov--Voronoy--Sierpinsky--Mazurkiewicz--Zygmund--Stein--C. Fefferman.
% \par
% {\sc N. I. Achieser,} On extremal properties of certain rational
% functions (Russian), {\em DAN} 18 (1930), 495--499.
% [Equioscillation characterization for best rational approximations.]
% \par
% {\sc N. I. Achieser,} {\em Theory of Approximation,} Dover, 1992.
% [Treatise by one of Chebyshev's academic great-grandsons, first published
% in 1956.]
% \par
% {\sc V. Adamyan, D. Arov and M. Krein,} Analytic properties of
% Schmidt pairs for a Hankel operator and the generalized
% Schur--Takagi problem, {\em Math.\ USSR Sb.}\ 15 (1971), 31--73.
% [Major work with a general extension of results of
% Carath\'eodory, Fej\'er, Schur and Takagi
% to rational approximation on the unit circle.]
% \par
% {\sc L. Ahlfors,} {\em Complex Analysis,} 3rd ed., McGraw-Hill, 1978.
% [A terse and beautiful complex analysis text by one of the masters, first
% published in 1953.]
% \par
% {\sc N. Ahmed and P. S. Fisher,} Study of algorithmic properties of
% Chebyshev coefficients, {\em Int.\ J. Comp.\ Math.}\ 2 (1970), 307--317.
% [Possibly the first paper to point out that Chebyshev coefficients
% can be computed by Fast Fourier Transform.]
% \par
% {\sc A. C. Aitken,} On Bernoulli's numerical solution of
% algebraic equations, {\em Proc.\ Roy.\ Soc.\ Edinb.}\ 46
% (1926), 289--305.
% \par
% {\sc B. K. Alpert and V. Rokhlin,} A fast algorithm for the evaluation
% of Legendre expansions, {\em SIAM J. Sci.\ Stat.\ Comp.}\ 12
% (1991), 158--179. [Algorithm for converting between Legendre and Chebyshev
% expansion coefficients.]
% \par
% {\sc A. Amiraslani,}
% {\em New Algorithms for Matrices, Polynomials, and Matrix Polynomials,}
% PhD diss., U. Western Ontario, 2006.
% [Algorithms related to rootfinding by values rather than Cheybyshev coefficients.]
% \par
% {\sc A. Amiraslani, R. M. Corless, L. Gonzalez-Vega and A. Shakoori,}
% Polynomial algebra by values, TR-04-01, 
% Ontario Research Center for Computer Algebra, www.orcca.on.ca, 2004.
% [Outlines eigenvalue-based algorithms for finding roots of polynomials
% from their values at sample points
% rather than from coefficients in an expansion.]
% \par
% {\sc A. C. Antoulas,} {\em Approximation of Large-Scale Dynamical Systems},
% SIAM, 2005.
% [Textbook about model reduction, a subject making much
% use of rational approximation.]
% \par
% {\sc A. I. Aptekarev,} Sharp constants for rational approximations of
% analytic functions, {\em Math.\ Sbornik} 193 (2002), 1--72.
% [Extends the result of Gonchar \& Rakhmanov 1989 on rational
% approximation of $e^x$ on $(-\infty,0\kern .5pt]$ to give the precise 
% asymptotic form $E_{nn}\sim 2H^{n+1/2}$ first conjectured
% by Magnus, where $H$ is Halphen's constant.]
% \par
% {\sc T. Bagby and N. Levenberg,} Bernstein theorems, {\em New Zeal.\ J. Math.}\ 22
% (1993), 1--20.
% [Presentation of four proofs of Bernstein's result that best polynomial
% approximants to a function $f\in C([-1,1])$ converge geometrically if
% and only if $f$ is analytic, with discussion of extension to higher dimension.]
% \par
% {\sc G. A. Baker, Jr. and P. Graves-Morris,} {\em Pad\'e Approximants,}
% 2nd ed., Cambridge U. Press, 1996.  [The standard reference on many
% aspects of Pad\'e approximations and their applications.]
% \par
% {\sc N. S. Bakhvalov,} On the optimal speed of integrating analytic functions,
% {\em Comput.\ Math.\ Math.\ Phys.}\ 7 (1967), 63--75.
% [A theoretical paper that introduces the idea
% of going beyond polynomials to speed up
% Gauss quadrature by means of a change of variables/conformal map,
% as in Hale \& Trefethen 2008.]
% \par
% {\sc S. Barnett (1975a),} A companion matrix analogue for orthogonal polynomials,
% {\em Lin.\ Alg.\ Applics.}\ 12 (1975), 197--208.
% [Generalization of Good's colleague matrices to orthogonal
% polynomials other than Chebyshev.  Barnett apparently did not know that
% Specht 1957 had covered the same ground.]
% \par
% {\sc S. Barnett (1975b),} Some applications of the comrade matrix,
% {\em Internat.\ J. Control\/} 21 (1975), 849--855. 
% [Further discussion of comrade matrices.]
% \par
% {\sc Z. Battles,} {\em Numerical Linear Algebra for Continuous Functions,}
% DPhil thesis, Oxford U. Computing Laboratory, 2005.
% [Presentation of Chebfun, including description of Chebfun's rootfinding algorithm
% based on recursion and eigenvalues of colleague matrices.]
% \par
% {\sc Z. Battles and L. N. Trefethen,} An extension of Matlab to continuous
% functions and operators, {\em SIAM J. Sci.\ Comp.}\ 25 (2004), 1743--1770.
% [Chebfun was conceived on December 8, 2001, and this was the
% first publication about it.]
% \par
% {\sc F. L. Bauer,} The quotient-difference and epsilon algorithms,
% in R. E. Langer, ed., {\em On Numerical Approximation,} U. Wisconsin Press,
% 1959, pp.~361--370.  [Introduction of the eta extrapolation algorithm
% for series.]
% \par
% {\sc R. Bellman, B. G. Kashef and J. Casti,} Differential quadrature:
% a technique for the rapid solution of nonlinear partial differential
% equations, {\em J. Comp.\ Phys.}\ 10 (1972), 40--52.  [Perhaps the
% first publication to give the formula for entries of a spectral
% differentiation matrix.]
% \par </latex>

%%
% <latex> \vspace{-1em} \small \parskip=2pt
% \def\parr{{\tiny\sl ~CHECK}\par}
% {\sc S. N. Bernstein,} Sur l'approximation des fonctions continues
% par des polyn\^omes, {\em Compt.\ Rend.\ Acad.\ Sci.}\ 152 (1911), 502--504.
% [Announcement of some results proved in Bernstein 1912b.]
% \par
% {\sc S. N. Bernstein (1912a),} Sur les recherches r\'ecentes relatives
% \`a la meilleure approximation des fonctions
% continues par des polyn\^omes, {\em Proc.\ 5th Intern.\ Math.\ Congress,
% v. 1}, 1912, 256--266.  [Announcement of the results of Bernstein
% and Jackson on polynomial approximation,
% including a table summarizing theorems by Bernstein, Jackson and Lebesgue
% linking smoothness to rate of convergence.] 
% \par
% {\sc S. N. Bernstein (1912b),} {\em Sur l'ordre de la meilleure approximation des
% fonctions continues par des polyn\^omes de degr\'e
% donn\'e}, M\'em.\ Acad.\ Roy.\ Belg., 1912, pp.~1--104.
% [Major work (which won a prize from the Belgian Academy of Sciences)
% establishing a number of the Jackson and Bernstein theorems
% on rate of convergence of best approximations for differentiable or
% analytic $f$.  Bernstein's fundamental estimates for functions analytic
% in an ellipse appear in Sections 9 and 61.]
% \par
% {\sc S. N. Bernstein (1912c),}
% Sur la valeur asymptotique de la meilleure approximation des fonctions
% analytiques, {\em Compt.\ Rend.\ Acad.\ Sci.}\ 155 (1912), 1062--1065.  [One of the
% first appearances of Bernstein ellipses, used here to analyze convergence
% of best approximations for a function with a single real singularity
% on the ellipse.]
% \par
% {\sc S. N. Bernstein (1912d),}
% D\'emonstration du th\'eor\`eme de Weierstrass fond\'ee sur
% le calcul des probabilit\'es, {\em Proc.\ Math.\ Soc.\
% Kharkov} 13 (1912), 1--2.
% [Bernstein's proof of the Weierstrass approximation theorem
% based on Bernstein polynomials.]
% \par
% {\sc S. N. Bernstein (1914a),}
% Sur la meilleure approximation des fonctions analytiques poss\'edant
% des singularit\'es complexes,
% {\em Compt.\ Rend.\ Acad.\ Sci.}\ 158 (1914), 467--469.  [Generalization of Bernstein
% 1912c to functions with a conjugate pair of singularities.]
% \par
% {\sc S. N. Bernstein (1914b),}
% Sur la meilleure approximation de $|x|$ par des polyn\^omes
% de degr\'es donn\'es, {\em Acta Math.}\ 37
% (1914), 1--57.  [Investigates polynomial best approximation of
% $|x|$ on $[-1,1]$ and mentions as a ``curious coincidence''
% that $n E_n \approx 1/2\sqrt{\pi}$, a value that became known as
% the ``Bernstein conjecture,'' later shown false by Varga and Carpenter.]
% \par
% {\sc S. N. Bernstein}, Quelques remarques sur l'interpolation,
% {\em Math.\ Annal.}\ 79 (1919), 1--12.
% [Written in 1914 but delayed in publication by the war,
% this paper, like Faber 1914, pointed out that no array of nodes
% for interpolation could yield convergence for all continuous
% functions.]
% \par
% {\sc S. N. Bernstein}, Sur la limitation des valeurs d'un
% polyn\^omes $P(x)$ de degr\'e $n$ sur tout un segment par
% ses valeurs en $(n+1)$ points du segment, {\em Izv.\ Akad.\ Nauk
% SSSR} 7 (1931), 1025--1050.
% [Discussion of the problem of optimal interpolation nodes, defined
% by minimization of the Lebesgue constant.]
% \par
% {\sc S. N. Bernstein}, On the inverse problem of the theory of the
% best approximation of continuous functions, {\em Sochineya} 2 (1938),
% 292--294.
% [Bernstein's lethargy theorem.]
% \par
% {\sc J.-P. Berrut,}
% Rational functions for guaranteed and experimentally
% well-conditioned global interpolation, {\em Comput.\ Math.\ Appl.}\ 15
% (1988), 1--16.
% [Observes that if the barycentric formula is applied on an arbitrary
% grid with weights $1,-1,1,-1,\dots$ or $\textstyle{1\over 2}, -1, 1,-1\dots,$ 
% the resulting rational interpolants are pole-free and accurate.]
% \par
% </latex>

%%
% <latex> \vspace{-1em} \small \parskip=2pt
% \def\parr{{\tiny\sl ~CHECK}\par}
% {\sc J.-P. Berrut, R. Baltensperger and H. D. Mittelmann,} Recent developments
% in barycentric rational interpolation, {\em Intern.\ Ser.\ Numer.\ Math.}\ 151
% (2005), 27--51.
% [Combines conformal maps with the rational barycentric formula to get
% high-accuracy approximations of difficult functions.]
% \par
% {\sc J.-P. Berrut, M. S. Floater and G. Klein,} Convergence rates of
% derivatives of a family of barycentric rational interpolants,
% {\em Appl.\ Numer.\ Math.}\ 61 (2011), 989--1000.
% [Establishes convergence rates for derivatives of Floater--Hormann barycentric
% rational interpolants.]
% \par
% {\sc J.-P. Berrut and L. N. Trefethen,} Barycentric Lagrange interpolation,
% {\em SIAM Rev.}\ 46 (2004), 501--517.  [Review of barycentric formulas for
% polynomial and trigonometric interpolation.]
% \par
% {\sc A. Birkisson and T. Driscoll,} Automatic Fr\'echet differentiation
% for the numerical solution of boundary-value problems.
% {\em ACM Trans.\ Math.\ Softw.,} to appear, 2012.
% [Description of Chebfun's method for solving nonlinear differential
% equations based on Newton or damped-Newton
% iteration and Automatic Differentiation.]
% \par
% {\sc H.-P. Blatt, A. Iserles and E. B. Saff,} Remarks on the
% behaviour of zeros of best approximating polynomials and
% rational functions, in J. C. Mason and M. G. Cox,
% {\em Algorithms for Approximation,} Clarendon Press, 1987,
% pp.~437--445.
% [Shows that the type $(n,n)$ best rational approximations
% to $|x|$ on $[-1,1]$ have all their zeros and poles on the imaginary
% axis and converge to $x$ in the right half-plane
% and to $-x$ in the left half-plane.]
% \par
% {\sc H.-P. Blatt and E. B. Saff,} Behavior of zeros of polynomials of
% near best approximation, {\em J. Approx.\ Th.}\ 46 (1986), 323--344.
% [Shows that if $f\in C([-1,1])$ is not analytic on $[-1,1]$, then the
% roots of its best approximants $\{p_n^*\}$ cluster at every
% point of $[-1,1]$ as $n\to\infty$.]
% \par
% {\sc H. F. Blichfeldt,} Note on the functions of the form
% $f(x) \equiv \phi(x) + a_1 x^{n-1} +
% a_2 x^{n-2} + \cdots + a_n$ which in a given interval
% differ the least possible from zero, {\em Trans.\ Amer.\ Math.\
% Soc.}\ 2 (1901), 100--102.
% [Blichfeldt proves a part of the equioscillation theorem:
% optimality implies equioscillation.]
% \par
% {\sc M. B\^ocher,} Introduction to the theory of Fourier's
% series, {\em Ann.\ Math.}\ 7 (1906), 81--152.  [The paper that named
% the Gibbs phenomenon.]
% \par </latex>

%%
% <latex> \vspace{-1em} \small \parskip=2pt
% \def\parr{{\tiny\sl ~CHECK}\par}
% {\sc E. Borel,} {\em Le\c cons sur les fonctions de variables
% r\'eelles et les d\'eveloppements en series de polyn\^omes,}
% Gauthier-Villars, Paris, 1905.
% [The first textbook essentially about approximation theory, including
% a proof of the equioscillation theorem, which Borel attributes
% to Kirchberger.]
% \par
% {\sc F. Bornemann, D. Laurie, S. Wagon and J. Waldvogel,}
% {\em The SIAM 100-Digit Challenge: A Study in High-Accuracy
% Numerical Computing,} SIAM, 2004.
% [Detailed study of ten problems whose answers are each a
% single number, nine of which the authors manage to compute to
% 10,000 digits of accuracy through the use of ingenious algorithms
% and acceleration methods.]
% \par
% {\sc J. P. Boyd,} {\em Chebyshev and Fourier Spectral Methods,} 2nd ed., Dover, 2001.
% [A 668-page treatement of the subject with a great deal of
% practical information.]
% \par
% {\sc J. P. Boyd,} Computing zeros on a real interval through Chebyshev
% expansion and polynomial rootfinding, {\em SIAM J. Numer.\ Anal.}\ 40
% (2002), 1666--1682.  [Proposes recursive
% Chebyshev expansions for finding roots of real functions,
% the idea that is the basis of the {\tt roots} command in Chebfun.]
% \par
% {\sc D. Braess,} On the conjecture of Meinardus on rational approximation
% to $e^x$. II, {\em J. Approx.\ Th.}\ 40 (1984), 375--379.
% [Establishes an asymptotic formula conjectured by Meinardus
% for the best approximation error of $e^x$ on $[-1,1]$.]
% \parr
% {\sc D. Braess,} {\em Nonlinear Approximation Theory,} Springer, 1986.
% [Advanced text on rational approximation and other topics, with emphasis
% on methods of functional analysis.]
% \par
% {\sc C. Brezinski,} Extrapolation algorithms and Pad\'e approximations:
% a historical survey, {\em Appl.\ Numer.\ Math.}\ 20 (1996), 299--318.
% [Historical survey.]
% \par
% {\sc C. Brezinski and M. Redivo Zaglia,} {\em Extrapolation Methods: Theory
% and Practice,} North-Holland, 1991.  [Extensive survey.]
% \par
% {\sc L. Brutman,} On the Lebesgue function for polynomial
% interpolation, {\em SIAM J. Numer.\ Anal.}\ 15 (1978), 694--704.
% [Sharpening of a result of Erd\H os 1960
% concerning Lebesgue constants.]
% \par
% {\sc L. Brutman,} Lebesgue functions for polynomial interpolation---a survey,
% {\em Ann.\ Numer.\ Math.}\ 4 (1997), 111--127.  [Exceptionally useful survey, including
% detailed results on interpolation in Chebyshev points.]
% \par
% {\sc P. Butzer and F. Jongmans,} P. L. Chebyshev
% (1821--1894): A guide to his life and work,
% {\em J. Approx.\ Th.}\ 96 (1999), 111--138.
% [Discussion of the leading Russian mathematician of
% the 19th century.]
% \par
% {\sc C. Canuto, M. Y. Hussaini, A. Quarteroni and T. A. Zang,}
% {\em Spectral Methods: Fundamentals in Single Domains},
% Springer, 2006.  [A major monograph on both collocation
% and Galerkin spectral methods.]
% \par
% {\sc C. Carath\'eodory and L. Fej\'er,} \"Uber den
% Zusammenhang der Extremen von harmonischen Funktionen mit ihrer
% Koeffizienten und \"uber den Picard-Landauschen Satz,
% {\em Rend.\ Circ.\ Mat.\ Palermo} 32 (1911), 218--239.
% [The paper that led, together with Schur 1918, to the
% connection of approximation problems with eigenvalues and singular
% values of Hankel
% matrices, later the basis of the Carath\'eodory--Fej\'er method for
% near-best approximation.]
% \par
% {\sc A. J. Carpenter, A. Ruttan and R. S. Varga,}
% Extended numerical computations on the ``1/9'' conjecture in
% rational approximation theory, in P. Graves-Morris, E. B. Saff and
% R. S. Varga, eds., {\em Rational Approximation and Interpolation,}
% Lect.\ Notes Math.\ 1105, Springer, 1984.
% [Calculation to 40 significant digits of the best rational approximations
% to $e^x$ on $(-\infty,0\kern .5pt]$ of types $(0,0),(1,1),\dots,(30,30)$.]
% \par
% {\sc A. L. Cauchy,} Sur la formule de Lagrange relative \`a
% l'interpolation, {\em Cours d'Analyse de l'\'Ecole Royale Polytechnique: Analyse alg\'ebrique,}
% Imprimerie Royale, Paris, 1821.
% [First treatment of the ``Cauchy interpolation problem'' of interpolation by
% rational functions.]
% \par
% {\sc A. L. Cauchy,} Sur un nouveau genre de calcul analogue au calcul infinit\'esimal,
% {\em Exerc.\ Math\'ematiques} 1 (1926), 11--24.
% [One of Cauchy's foundational texts on residue calculus, including
% a derivation of what became known as the Hermite integral formula.]
% \par
% {\sc P. L. Chebyshev,} Th\'eorie des m\'ecanismes connus sous le nom
% de parall\'elogrammes, {\em M\'em.}\ {\em Acad.\ Sci.\ P\'etersb.,} Series
% 7 (1854), 539--568.
% [Introduction of the idea of best approximation by polynomials in the supremum norm.]
% \par
% {\sc P. L. Chebyshev,} Sur les questions de minima qui se rattachent
% \`a la repr\'esentation approximative des fonctions,
% {\em M\'em.\ Acad.\ Sci. P\'etersb.}\ Series 7 (1859), 199--291.
% [Chebyshev's principal work on best approximation.]
% \par </latex>

%%
% <latex> \vspace{-1em} \small \parskip=2pt
% \def\parr{{\tiny\sl ~CHECK}\par}
% {\sc E. W. Cheney,} {\em Introduction to Approximation Theory,}
% Chelsea, 1999.  
% [Classic approximation theory text first published in 1966.]
% \par
% {\sc J. F. Claerbout,} {\em Imaging the Earth's Interior,} 
% Blackwell, 1985.
% [Text about the mathematics of migration for earth imaging by the
% man who developed many of these techniques, based
% on rational approximations of pseudodifferential operators.]
% \par
% {\sc C. W. Clenshaw and A. R. Curtis,} A method for numerical
% integration on an automatic computer, {\em Numer.\ Math.}\ 2 (1960), 197--205.
% [Introduction of Clenshaw--Curtis quadrature.]
% \par
% {\sc C. W. Clenshaw and K. Lord,} Rational approximations from Chebyshev
% series, in B. K. P. Scaife, ed., {\em Studies
% in Numerical Analysis,} Academic Press, 1974, pp.~95--113.
% \par
% {\sc W. J. Cody,} The FUNPACK package of special function
% subroutines, {\em ACM Trans.\ Math.\ Softw.}\ 1 (1975), 13--25.
% [Codes for evaluating special functions based on 
% rational approximations.]
% \par
% {\sc W. J. Cody,} Algorithm 715: SPECFUN---A portable FORTRAN 
% package of special function routines and test drivers,
% {\em ACM Trans.\ Math.\ Softw.}\ 19 (1993), 22--32.
% [Descendant of FUNPACK with greater portability.]
% \par
% {\sc W. J. Cody, W. Fraser and J. F. Hart,} Rational Chebyshev
% approximation using linear equations, {\em Numer.\ Math.}\ 12
% (1968), 242--251.
% [Algol 60 code for best rational approximation by a variant of the Remes algorithm.]
% \par
% {\sc W. J. Cody, G. Meinardus and R. S. Varga,} Chebyshev rational
% approximations to $e^{-x}$ in $[\kern .5pt 0,+\infty)$ and applications to
% heat-conduction problems, {\em J. Approx.\ Th.}\ 2 (1969), 50--65.
% [Introduces the problem of approximation of $e^{-x}$ on $[\kern .5pt 0,\infty)$, or
% equivalently $e^{x}$ on $(-\infty,0\kern .5pt ]$, and shows that rational
% best approximants converge geometrically.]
% \par
% {\sc R. M. Corless and S. M. Watt,} Bernstein bases are optimal, but, sometimes,
% Lagrange bases are better, 2004, Proc.\ SYNASC (Symbolic and Numeric
% Algorithms for Scientific Computing), Timisoara, 2004, pp.~141--152.
% [A contribution to polynomial rootfinding with a marvelous title.]
% \par
% {\sc G. Darboux,} M\'emoire sur l'approximation des fonctions de
% tr\`es-grands nombres, et sur une classe \'etendue de d\'eveloppements en
% s\'erie, {\em J. Math.\ Pures Appl.}\ 4 (1878), 5--56.
% \parr
% {\sc S. Darlington,} Analytical approximations to approximations in the 
% Chebyshev sense, {\em Bell System Tech.\ J.}\ 49 (1970), 1--32.
% [A precursor to the Carath\'eodory--Fej\'er method.]
% \par
% {\sc P. J. Davis,} {\em Interpolation and Approximation,} Dover, 1975.
% [A leading text on the subject, first published in 1963.]
% \par
% {\sc P. J. Davis and P. Rabinowitz,} {\em Methods of Numerical Integration,} 2nd ed.,
% Academic Press, 1984.
% [The leading reference on numerical integration, with detailed
% information on many topics, first published in 1975.]
% \par
% {\sc D. M. Day and L. Romero,} Roots of polynomials expressed in terms
% of orthogonal polynomials, {\em SIAM J. Numer.\ Anal.}\ 43 (2005), 1969--1987.
% [A rediscovery of the results of Specht, Good, Barnett and others on
% colleague and comrade matrices.]
% \par
% {\sc C. de Boor and A. Pinkus,} Proof of the conjectures of Bernstein
% and Erd\H os concerning the optimal nodes for polynomial interpolation,
% {\em J. Approx.\ Th.}\ 24 (1978), 289--303.
% [Together with Kilgore 1978, one of the papers solving
% the theoretical problem of optimal interpolation.]
% \par
% {\sc R. A. DeVore and G. G. Lorentz,} {\em Constructive Approximation,}
% Springer, 1993.  [An monograph emphasizing advanced topics.]
% \par
% {\sc Z. Ditzian and V. Totik,} {\em Moduli of Smoothness},
% Springer-Verlag, New York, 1987.
% [Careful analysis of smoothness and its effect on polynomial
% approximation on an interval, including the dependence on location in the interval.]
% \par
% {\sc T. A. Driscoll, F. Bornemann and L. N. Trefethen,}
% The chebop system for automatic solution of differential equations,
% {\em BIT Numer.\ Math.}\ 48 (2008), 701--723.
% [Extension of Chebfun to solve differential and integral equations.]
% \par
% {\sc T. A. Driscoll and N. Hale,} Resampling methods for boundary conditions
% in spectral collocation, paper in preparation, 2012.
% [Introduction of spectral collocation methods based on
% rectangular matrices.]
% \par
% {\sc M. Dupuy,} Le calcul num\'erique des fonctions par
% l'interpolation barycentrique, {\em Compt.\ Rend.\ Acad.\ Sci.}\ 226 (1948), 158--159.
% [This paper is apparently the first to use the expression ``barycentric
% interpolation'' and also the first to discuss barycentric interpolation
% for non-equidstant points, the situation considered by Taylor 1945.]
% \par
% {\sc A Dutt, M. Gu and V. Rokhlin,} Fast algorithms for polynomial
% interpolation, integration, and differentiation, {\em SIAM J. Numer.\
% Anal.}\ 33 (1996), 1689--1711.  [Uses the Fast Multipole Method to derive
% fast algorithms for non-Chebyshev points.]
% \par
% {\sc H. Ehlich and K. Zeller,} Auswertung der Normen von
% Interpolationsoperatoren, {\em Math.\ Ann.}\ 164 (1966), 105--112.
% [Bound on Lebesgue constant for interpolation in Chebyshev points.]
% \par
% {\sc D. Elliott,} A direct method for ``almost'' best uniform approximation,
% in {\em Error, Approximation, and Accuracy,} eds. F. de Hoog and C. Jarvis,
% U. Queensland Press, St. Lucia, Queensland, 1973, 129--143.
% [A precursor to the Carath\'eodory--Fej\'er method.]
% \par
% {\sc M. Embree and D. Sorensen,} {\em An Introduction to Model Reduction
% for Linear and Nonlinear Differential Equations,} to appear.
% [Textbook.]
% \par
% {\sc B. Engquist and A. Majda,} Absorbing boundary conditions
% for the numerical simulation of waves, {\em Math.\ Comput.}\ 31
% (1977), 629--651.
% [Highly influential paper on the use of Pad\'e approximations to
% a pseudodifferential operator to develop numerical boundary conditions.]
% \par
% </latex>

%%
% <latex> \vspace{-1em} \small \parskip=2pt
% \def\parr{{\tiny\sl ~CHECK}\par}
% {\sc P. Erd\H os,} Problems and results on the theory of interpolation. II,
% {\em Acta Math.\ Acad.\ Sci.\ Hungar.}\ 12 (1961), 235--244.
% [Shows that Lebesgue constants for optimal interpolation points are no better than
% for Chebyshev points asymptotically as $n\to\infty$.]
% \par
% {\sc T. O. Espelid,} Extended doubly adaptive quadrature routines,
% Tech.\ Rep.\ 266, Dept.\ Informatics, U. Bergen, Feb.\ 2004.
% [Presentation of {\tt coteda} and {\tt da2glob} quadrature codes.]
% \par
% {\sc L. Euler,} {\em De Seriebus Divergentibus,}
% Novi Commentarii academiae scientiarum Petropolitanae 5, (1760) (205).
% [Early work on divergent series.]
% \par
% {\sc L. Euler,} De eximio usu methodi interpolationum in serierum doctrina,
% {\em Opuscula Analytica} 1 (1783), 157--210.
% [A work on various applications of interpolation, including equations
% related to the Newton and Lagrange formulas for polynomial interpolation.]
% \par
% {\sc L. C. Evans and R. F. Gariepy,} {\em Measure Theory and Fine Properties
% of Functions}, CRC Press, 1991.
% [Includes a definition of the
% total variation in the measure theoretic context.]
% \par
% {\sc G. Faber,} \"Uber die interpolatorische Darstellung
% stetiger Funktionen, {\em Jahresber. Deutsch.\ Math.\ Verein.}\ 23 (1914),
% 190--210.  [Shows that no fixed system of nodes for polynomial
% interpolation will lead to convergence for all continuous $f$.]
% \par
% {\sc L. Fej\'er,} Sur les fonctions born\'ees et 
% int\'egrables, {\em Compt.\ Rend.\ Acad.\ Sci.}\ 131 (1900),
% 984--987.
% [Fej\'er, age 20, provides a new method of summing divergent
% Fourier series, with a new proof of the Weierstrass approximaton
% theorem as a corollary.]
% \parr
% {\sc L. Fej\'er,} Lebesguesche Konstanten und divergente
% Fourierreihen, {\em J. f.\ Math.}\ 138 (1910), 22--53.
% [Shows that Lebesgue constants for Fourier projection are
% asymptotic to $(4/\pi^2)\log n$ as $n\to\infty$.]
% \par
% {\sc L. Fej\'er,} Ueber Interpolation, {\em Nachr.\ Gesell.\ Wiss.\ G\"ottingen
% Math.\ Phys.\ Kl.}\ (1916), 66--91.
% [Proves the Weierstrass approximation theorem by showing that
% Hermite--Fej\'er interpolants in Chebyshev points of the
% first kind converge for any $f\in C([-1,1])$.]
% \par
% {\sc A. M. Finkelshtein,} Equilibrium problems of potential theory
% in the complex plane, in {\em Orthogonal Polynomials and Special Functions},
% Lect.\ Notes Math.\ 1883, pp.~79--117, Springer, 2006.
% [Survey article.]
% \par
% {\sc M. S. Floater and K. Hormann,} Barycentric rational interpolation
% with no poles and high rates of approximation,
% {\em Numer.\ Math.}\ 107 (2007), 315--331.
% [Extension of results of Berrut 1988 to
% a family of barycentric rational interpolants of arbitrary order.]
% \par
% {\sc G. B. Folland,} {\em Introduction to Partial Differential Equations},
% 2nd ed., Princeton U. Press, 1995.  [An elegant introduction
% to PDEs published first in 1976, including the Weierstrass approximation theorem proved
% via the heat equation and generalized to multiple dimensions.]
% \par
% {\sc B. Fornberg,} Generation of finite difference formulas
% on arbitrarily spaced grids, {\em Math.\ Comp.}\ 51 (1988),
% 699--706. [Stable algorithm for generating finite difference
% formulas on arbitrary grids.]
% \par
% {\sc B. Fornberg,} {\em A Practical Guide to Pseudospectral Methods,}
% Cambridge U. Press, 1996.
% [Practically-oriented textbook of spectral collocation methods for
% solving ordinary and partial differential equations, based on 
% Chebyshev interpolants.]
% \par
% {\sc S. Fortune,} Polynomial root finding using iterated
% eigenvalue computation,
% {\em Proc.\ 2001 Intl.\ Symp.\ Symb.\ Alg.\ Comput.}, ACM, 2001,
% pp.~121--128. [An eigenvalue-based rootfinding algorithm
% that works directly from data samples rather than expansion
% coefficients.]
% \par
% {\sc L. Fox and I. B. Parker,} {\em Chebyshev Polynomials in
% Numerical Analysis,} Oxford U. Press, 1968.  [A precursor to
% the work of the 1970s and later on Chebyshev spectral methods.]
% \par
% {\sc J. G. F. Francis,} The QR transformation: a unitary analogue
% to the LR transformation, parts I and II, {\em Computer J.}
% 4 (1961), 256--272 and 332--345.  [Introduction of the QR
% algorithm for numerical computation of matrix eigenvalues.]
% \par
% {\sc G. Frobenius,} Ueber Relationen zwischen den N\"aherungsbr\"uchen von
% Potenzreihen, {\em J. Reine Angew.\ Math.}\ 90 (1881), 1--17.
% [The first systematic treatment of Pad\'e approximation.]
% \par
% {\sc M. Froissart,} Approximation de Pad\'e: application \`a la physique des
% particules \'el\'ementaires, {\em RCP, Programme No.~25}, v.~9,
% CNRS, Strasbourg (1969), pp.~1--13.
% [A rare publication by the mathematician and physicist after whom
% Froissart doublets were named (by Bessis).]
% \par
% {\sc D. Gaier,} {\em Lectures on Complex Approximation},
% Birkh\"auser, 1987.
% [A shorter book presenting some of the material
% considered at greater length in Smirnov \& Lebedev 1968 and Walsh 1969.]
% \par
% {\sc C. F. Gauss,} Methodus nova integralium valores per approximationem
% inveniendi, {\em Comment.\ Soc.\ Reg.\ Scient.\ Gotting.\ Recent.}, 1814,
% pp.~39--76.
% [Introduction of Gauss quadrature---via continued fractions, not
% orthogonal polynomials.]
% \par
% {\sc W. Gautschi,} A survey of Gauss--Christoffel quadrature
% formulae, in P. L. Butzer and F. Feh\'er, eds.,
% {\em E. B. Christoffel: The Influence of His Work in Mathematics
% and the Physical Sciences,} Birkh\"auser, 1981, pp.~72--147.
% [Outstanding survey of many aspects of Gauss quadrature.]
% \par
% {\sc W. Gautschi,} {\em Orthogonal Polynomials: Computation and Approximation}, 
% Oxford U. Press, 2004.  [A monograph on orthogonal polynomials with emphasis on
% numerical aspects.]
% \par
% {\sc K. O. Geddes,} Near-minimax polynomial approximation in
% an elliptical region, {\em SIAM J. Numer.\ Anal.}\ 15 (1978), 1225--1233.  
% [Chebyshev expansions via FFT for analytic functions on an interval.]
% \par
% {\sc W. M. Gentleman (1972a),} Implementing Clenshaw--Curtis quadrature,
% I: Methodology and experience, {\em Comm.\ ACM} 15 (1972), 337--342.
% [A surprisingly modern paper that includes the aliasing formula
% for Chebyshev polynomials.]
% \par
% {\sc W. M. Gentleman (1972b),} Implementing Clenshaw--Curtis quadrature,
% II: Computing the cosine transformation, {\em Comm.\ ACM} 15 (1972), 343--346.
% [First connection of Clenshaw--Curtis quadrature with FFT.]
% \par
% {\sc A. Glaser, X. Liu and V. Rokhlin,} A fast algorithm for the
% calculation of the roots of special functions, {\em SIAM J. Sci.\ Comp.}\ 29
% (2007), 1420--1438.  [Introduction of an algorithm for computation
% of Gauss quadrature nodes and weights in $O(n)$ operations rather
% than $O(n^2)$ as in Golub \& Welsch 1969.]
% \par
% {\sc K. Glover,} All optimal Hankel-norm approximations of linear
% multivariable systems and their $L^\infty$-error bounds,
% {\em Internat.\ J. Control} 39 (1984), 1115--1193.
% [Highly influential article on rational approximations
% in control theory.]
% \par
% {\sc S. Goedecker,} Remark on algorithms to find roots
% of polynomials, {\em SIAM J. Sci.\ Comput.}\ 15 (1994), 1059--1063.
% [Emphasizes the stability of companion matrix eigenvalues as
% an algorithm for polynomial rootfinding, given a polynomial
% expressed by its coefficients in the monomial basis.]
% \par
% </latex>

%%
% <latex> \vspace{-1em} \small \parskip=2pt
% \def\parr{{\tiny\sl ~CHECK}\par}
% {\sc G. H. Golub and J. H. Welsch,} Calculation of Gauss
% quadrature rules, {\em Math.\ Comp.}\ 23 (1969), 221--230.
% [Presentation of the famous $O(n^2)$ algorithm for Gauss quadrature
% nodes and weights via a tridiagonal Jacobi matrix eigenvalue problem.]
% \par
% {\sc A. A. Gonchar and E. A. Rakhmanov,} Equilibrium
% distributions and degree of rational approximation
% of analytic functions, {\em Math.\ USSR Sbornik} 62 (1989), 305--348.
% [A landmark paper, first published in Russian in 1987, that
% applies methods of potential theory to prove
% that the optimal rate of convergence for type $(n,n)$ rational
% minimax approximations of $e^x$ on $(-\infty,0\kern .5pt]$ is
% $O((9.28903\dots)^{-n})$ as $n\to\infty$.]
% \par
% {\sc V. L. Goncharov,} The theory of best approximation of functions,
% {\em J. Approx.\ Th.}\ 106 (2000), 2--57.
% [English translation of a 1945 historical survey in Russian emphasizing
% contributions of Chebyshev and his successors.]
% \par
% {\sc P. Gonnet, S. G\"uttel and L. N. Trefethen,} Robust Pad\'e approximation
% via SVD, {\em SIAM Rev.}, to appear.
% [Introduction of the robust SVD-based algorithm for computing
% Pad\'e approximants presented in Chapter~27.]
% \par
% {\sc P. Gonnet, R. Pach\'on and L. N. Trefethen,} Robust rational
% interpolation and least-squares, {\em Elect.\ Trans.\ Numer.\ Anal.}\ 38
% (2011), 146--167.
% [A robust algorithm based on the singular value decomposition for computing
% rational approximants without spurious poles.]
% \par
% {\sc I. J. Good,} The colleague matrix, a Chebyshev analogue of the
% companion matrix, {\em Quart. J. Math.}\ 12 (1961), 61--68.
% [Together with Specht 1960, one of the two original independent discoveries
% that roots of polynomials in Chebyshev form can be computed as eigenvalues
% of colleague matrices, a term introduced here.
% Good recommends this approach to numerical rootfinding for functions other
% than polynomials too.]
% \par
% {\sc D. Gottlieb, M. Y. Hussaini and S. A. Orszag,} Introduction:
% theory and applications of spectral methods, in R. G. Voigt, D. Gottlieb and
% M. Y. Hussaini, {\em Spectral Methods for Partial Differential
% Equations}, SIAM, 1984.  [Early survey article on spectral collocation
% methods, including the first publication of the formula for the
% entries of Chebyshev differentiation matrices.]
% \par
% {\sc W. B. Gragg,} The Pad\'e table and its relation to certain
% algorithms of numerical analysis, {\em SIAM Rev.}\ 14 (1972), 1--62.
% [A careful and extensive mathematical reference on the structure and
% algebra of the Pad\'e table as presented in Chapter 27, though
% with an emphasis on determinants.]
% \par
% {\sc A. Greenbaum and L. N. Trefethen}, GMRES/CR and
% Arnoldi/Lanczos as matrix approximation problems,
% {\em SIAM J. Sci.\ Comput.}\ 15 (1994), 359--368.
% [Shows that the GMRES/CR and Arnoldi/Lanczos matrix iterations are
% equivalent to certain polynomial approximation problems and generalizes
% this observation to matrix approximation problems such as ``ideal GMRES''.]
% \par
% {\sc T. H. Gronwall,} \"Uber die Gibbssche Erscheinung und die trigonometrischen
% Summen $\sin x + {1\over 2} \sin 2x + \cdots + {1\over n} \sin nx$,
% {\em Math.\ Ann.}\ 72 (1912), 228--243.
% [Investigates detailed behavior of Fourier approximations
% near Gibbs discontinuities.]
% \par
% {\sc M. H. Gutknecht,} Algebraically solvable Chebyshev approximation
% problems, in C. K. Chui, L. L. Schumaker and J. D. Ward., eds.,
% {\em Approximation Theory IV},
% Academic Press, 1983.  [Shows that many examples of $\infty$-norm best approximations
% that can be written down explicitly correspond to Carath\'eodory--Fej\'er
% approximations.]
% \par
% {\sc M. H. Gutknecht,} In what sense is the rational interpolation problem
% well posed?, {\em Constr.\ Approx.}\ 6 (1990), 437--450.
% [Generalization of Trefethen \& Gutknecht 1985 from Pad\'e
% to multipoint Pad\'e approximation.]
% \par
% {\sc M. H. Gutknecht and L. N. Trefethen,} Real polynomial
% Chebyshev approximation by the Carath\'eodory--Fej\'er method,
% {\em SIAM J. Numer.\ Anal.}\ 19 (1982), 358--371.
% [Introduction of CF approximation on an interval.]
% \par
% {\sc S. G\"uttel,} {\em Rational Krylov Methods for Operator Functions},
% PhD dissertation, TU Bergakademie Freiberg, 2010.  [Survey and
% analysis of advanced methods of numerical linear algebra based
% on rational approximations.]
% \par
% {\sc N. Hale, N. J. Higham and L. N. Trefethen,} Computing $A^\alpha$,
% $\log(A)$, and related matrix functions by contour
% integrals, {\em SIAM J. Numer.\ Math.}\ 46 (2008), 2505--2523.
% [Derives efficient algorithms for computing matrix functions from
% trapezoid rule approximations to contour integrals accelerated by
% contour maps.  These are equivalent to rational approximations.]
% \par
% {\sc N. Hale and T. W. Tee,} Conformal maps to multiply slit
% domains and applications, {\em SIAM J. Sci.\ Comput.}\ 31 (2009),
% 3195--3215.
% [Extension of Tee \& Trefethen 2006 to new geometries and applications.]
% \par
% {\sc N. Hale and A. Townsend,}
% Fast and accurate computation of Gauss--Jacobi quadrature nodes and weights,
% manuscript in preparation, 2012.
% [Proposes an $O(n)$ algorithm based on asymptotic formulas
% for computing Gauss quadrature nodes and weights for large $n$,
% much faster than the Glaser--Liu--Rokhlin
% algorithm in a Matlab implementation.]
% \par
% {\sc N. Hale and L. N. Trefethen,}
% New quadrature formulas from conformal maps,
% {\em SIAM J. Numer.\ Anal.}\ 46 (2008), 930--948.  [Shows that conformal mapping
% can be used to derive quadrature formulas that converge faster
% than Gauss, as in Bakhvalov 1967.]
% \par
% {\sc N. Hale and L. N. Trefethen,}
% Chebfun and numerical quadrature,
% {\em Science in China,} to appear, 2012.  [Review of quadrature
% algorithms in Chebfun, including fast Gauss and Gauss--Legendre
% quadrature by the Glaser--Liu--Rokhlin algorithm (but not yet the
% Hale--Townsend algorithm) with applications
% to computing with functions with singularities.]
% \par
% {\sc L. Halpern and L. N. Trefethen,} Wide-angle one-way wave equations,
% {\em J. Acoust.\ Soc.\ Amer.}\ 84 (1988), 1397--1404.
% [Review of rational approximations to $\sqrt{1-s^2}$ on $[-1,1]$
% for application to one-way wave equations.]
% \par
% {\sc G. H. Halphen,} Trait\'e des fonctions elliptiques et de
% leurs applications, Gauthier-Villars, Paris, 1886.  
% [A treatise on elliptic functions that contains a calculation
% to six digits of the number ${\approx\kern 1pt}1/9.28903$ that
% later became known as ``Halphen's constant''
% in connection with the rational approximation
% of $e^x$ on $(-\infty,0\kern .5pt]$.]
% \par
% {\sc P. C. Hansen,} {\em Rank-Deficient and Discrete Ill-Posed Problems:
% Numerical Aspects of Linear Inversion,} SIAM, 1998.
% [A leading monograph on the treatment of rank-deficient or
% ill-posed matrix problems.]
% \par
% {\sc G. H. Hardy,} {\em Divergent Series,}, revised ed., \'Editions Jacques Gabay, 1991.
% [Hardy's marvelous posthumous volume on the mathematics of divergent
% series, first published in 1949.]
% \par
% {\sc J. F. Hart et al.,} {\em Computer Approximations}, Wiley, 1968.
% [A classic compendium on computer evaluation of special functions,
% containing 150 pages of explicit coefficients of rational approximations.]
% \par
% {\sc E. Hayashi, L. N. Trefethen and M. H. Gutknecht,} The CF table,
% {\em Constr. Approx.}\ 6 (1990), 195--223.  [The most systematic
% and detailed treatment of the problem of rational CF approximation
% of a function $f$ on the unit disk, including cases where $f$ is
% just in the Wiener class or continuous on the unit circle.]
% \par
% {\sc G. Heinig and K. Rost,} {\em Algebraic Methods for
% Toeplitz-like Matrices and Operators,} Birkh\"auser, 1984.
% [Analyzes rank properties of Toeplitz and Hankel matrices related to the
% robust Pad\'e algorithms of Chapter~27.]
% \par
% {\sc G. Helmberg and P. Wagner,} Manipulating Gibbs' phenomenon for
% Fourier interpolation, {\em J. Approx.\ Th.}\ 89 (1997), 308--320.
% [Analyzes the overshoot in various versions of the Gibbs phenomenon
% for trigonometric interpolation.]
% \par
% </latex>

%%
% <latex> \vspace{-1em} \small \parskip=2pt
% \def\parr{{\tiny\sl ~CHECK}\par}
% {\sc P. Henrici,} {\em Applied and Computational Complex Analysis, vols.\ 1--3},
% Wiley, 1974 and 1977 and 1986.
% [An extensive and highly readable account of
% applied complex analysis, full of details that are hard to find elsewhere.]
% \par
% {\sc C. Hermite,} Sur la formule d'interpolation de Lagrange, {\em J. Reine
% Angew.\ Math.}\ 84 (1878), 70--79.  [Application of what became known
% as the Hermite integral formula for polynomial interpolation, which
% had earlier been given by Cauchy, to problems of interpolation with
% confluent data points.]
% \par
% {\sc J. S. Hestaven, S. Gottlieb and D. Gottlieb,} {\em Spectral Methods
% for Time-Dependent Problems,} Cambridge U. Press, 2007.  [Well-known textbook
% on spectral methods.]
% \par
% {\sc E. Hewitt and R. E. Hewitt,} The Gibbs--Wilbraham phenomenon: an episode
% in Fourier analysis, {\em Arch.\ Hist.\ Exact Sci.}\ 21 (1979), 129--160.
% [Discussion of the complex and not always pretty history of
% attempts to analyze the Gibbs phenomenon.]
% \par
% {\sc N. J. Higham,} The numerical stability of barycentric Lagrange
% interpolation, {\em IMA J. Numer.\ Anal.}\ 24 (2004), 547--556.
% [Proves that barycentric interpolation in Chebyshev points is
% numerically stable, following earlier work of Rack \& Reimer 1982.]
% \par
% {\sc N. J. Higham,} {\em Functions of Matrices: Theory and Computation,} SIAM, 2008.
% [The definitive treatment of the problem of computing functions of
% matrices as of 2008.  Many of the algorithms have connections with
% polynomial or rational approximation.]
% \par
% {\sc N. J. Higham,} The scaling and squaring method for the
% matrix exponential revisited, 
% {\em SIAM Rev.}\ 51 (2009), 747--764.
% [Careful analysis of Matlab's method of evaluating
% $e^A$ leads to several improvements in the algorithm and the
% recommendation to use the Pad\'e approximant of type $(13,13)$.]
% \par
% {\sc N. J. Higham and A. H. Al-Mohy,} Computing matrix functions,
% {\em Acta Numer.}\ 19 (2010), 159--208.  [Survey includes
% an appendix comparing Pad\'e and Taylor approximants
% for computing the exponential of a matrix.]
% \par
% {\sc E. Hille,} {\em Analytic Function Theory}, 2 vols., 2nd ed., Chelsea, 1973.
% [Major work first published in 1959 and 1962.]
% \par
% {\sc M. Hochbruck and A. Ostermann,} Exponential integrators,
% {\em Acta Numer.}\ 19 (2010), 209--286.
% [Survey of exponential integrators for the fast numerical
% solution of stiff ODEs and PDEs.]
% \par
% {\sc G. Hornecker}, D\'etermination des meilleures approximations
% rationnelles (au sens de Tchebychef) des functions
% r\'eelles d'une variable sur un segment fini et des bornes
% d'erreur correspondantes, {\em Compt.\ Rend.\ Acad.\ Sci.}\ 249 (1956), 2265--2267. 
% [Possibly the first proposal of a kind
% of Chebyshev--Pad\'e approximation for intervals.]
% \par
% {\sc J. P. Imhof,} On the method for numerical integration of
% Clenshaw and Curtis, {\em Numer.\ Math.}\ 5 (1963), 138--141.
% [Shows that the Clenshaw--Curtis quadrature weights are positive.]
% \parr
% {\sc A. Iserles,} A fast and simple algorithm for the computation of Legendre
% coefficients, {\em Numer.\ Math.}\ 117 (2011), 529--553.
% [A fast algorithm based on a numerical contour integral over an
% ellipse in the complex plane.]
% \par
% {\sc D. Jackson,}
% {\em \"Uber die Genauigkeit der Ann\"aherung
% stetiger Funktionen durch ganze rationale Funktionen gegebenen Grades
% und trigonometrische Summen gegebener Ordnung,} dissertation, 
% G\"ottingen, 1911.  [Jackson's PhD thesis under Landau in
% G\"ottingen, which together with Bernstein's work at the same time
% {\sc (1912b)} established many of the fundamental results of approximation theory.  Despite
% the German, Jackson was an American from Massachusetts, like me---Harvard
% Class of 1908.]
% \par
% {\sc D. Jackson,} On the accuracy of trigonometric interpolation, 
% {\em Trans.\ Amer.\ Math.\ Soc.}\ 14 (1913), 453--461.
% [In the final paragraph of this paper, polynomial interpolation in
% Chebyshev points (2.2) is considered, possibly for the first time in
% the literature.]
% \parr
% </latex>

%%
% <latex> \vspace{-1em} \small \parskip=2pt
% \def\parr{{\tiny\sl ~CHECK}\par}
% {\sc C. G. J. Jacobi,} {\em Disquisitiones Analyticae de Fractionibus
% Simplicibus}, dissertation, Berlin, 1825.
% [In his discussion of partial fractions Jacobi effectively states
% the ``first form'' of the barycentric interpolation formula.]
% \par
% {\sc C. G. J. Jacobi,} \"Uber Gauss' neue Methode, die Werthe der
% Integrale n\"aherungsweise zu finden, {\em J. Reine Angew.\ Math.}\ 1
% (1826), 301--308.
% [This paper first invents the subject of orthogonal
% polynomials, then shows that Gauss quadrature can be
% derived in this framework.]
% \par
% {\sc C. G. J. Jacobi,} \"Uber die Darstellung einer Reihe gegebener Werthe durch
% eine gebrochene rationale Function,
% {\em J. Reine Angew.\ Math.}\ 30 (1846), 127--156.
% [Jacobi's major work on rational interpolation.]
% \par
% {\sc R. Jentzsch,} {\em Untersuchungen zur Theorie analytischer Funktionen,}
% dissertation, Berlin, 1914. [Jentzsch, who was also a noted poet and was
% killed at age 27 in World War I,
% proves here that every point on the circle of convergence of a power series
% is the limit of zeros of its partial sums.]
% \par
% {\sc D. C. Joyce,} Survey of extrapolation processes in numerical analysis,
% {\em SIAM Rev.}\ 13 (1971), 435--490.
% [Scholarly review of a wide range of material.]
% \par
% {\sc A.-K. Kassam and L. N. Trefethen,}
% Fourth-order time-stepping for stiff PDEs, {\em SIAM J. Sci.\ Comput.}\ 26
% (2005), 1214--1233.
% [Application of exponential integrator formulas to efficient numerical
% solution of stiff PDEs.]
% \par
% {\sc T. A. Kilgore,} A characterization of the Lagrange interpolating
% projection with minimal Tchebycheff norm, {\em J. Approx.\ Th.}\ 24 (1978),
% 273--288.
% [Together with de Boor \& Pinkus 1978, one of the papers solving
% the theoretical problem of optimal interpolation.]
% \par
% {\sc P. Kirchberger,} {\em Ueber Tchebychefsche Ann\"aherungsmethoden,}
% PhD thesis, G\"ottingen, 1902.  
% [Kirchberger's PhD thesis under Hilbert contains apparently the
% first full statement and proof of the equioscillation theorem.]
% \par
% {\sc P. Kirchberger,} \"Uber Tchebychefsche Ann\"aherungsmethoden, 
% {\em Math.\ Ann.}\ 57 (1903), 509--540.
% [Extract from his PhD thesis the year before, focusing on
% multivariable extensions but without the equioscillation theorem.]
% \par
% {\sc A. N. Kolmogorov,} A remark on the polynomials of P. L. Chebyshev
% deviating the least from a given function,
% {\em Uspehi Mat.\ Nauk} 3 (1948), 216--221 [Russian].  [Criterion
% for best complex approximations.]
% \par
% {\sc D. Kosloff and H. Tal-Ezer,} A modified Chebyshev pseudospectral
% method with an $O(N^{-1})$ time step restriction,
% {\em J. Comp.\ Phys.}\ 104 (1993), 457--469.
% [Introduces a change of variables as a basis
% for non-polynomial spectral methods.]
% \par
% {\sc A. B. J. Kuijlaars,} Convergence analysis of Krylov subspace
% iterations with methods from potential theory,
% {\em SIAM Rev.}\ 48 (2006), 3--40.
% [Analyzes the connection between potential theory and the
% roots of polynomial approximants implicitly constructed by
% Krylov iterations such as the conjugate gradient and Lanczos iterations.]
% \par
% {\sc J. L. Lagrange,} Le\c cons \'el\'ementaires sur les
% Math\'ematiques,  Le\c con V., {\em J. de l'\'Ecole polytechnique,}
% Tome II, Cahier 8, pp.~274--278, Paris, 1795.  [Contains
% what became known as the Lagrange interpolation formula,
% published earlier by Waring 1779 and Euler 1783.]
% \par
% {\sc B. Lam,} {\em Some Exact and Asymptotic Results for Best
% Uniform Approximation}, PhD thesis, U. of Tasmania, 1972.
% [A precursor to the Carath\'eodory--Fej\'er method.]
% \par
% {\sc E. Landau,} Absch\"atzung der Koeffizientensumme einer Potenzreihe,
% {\em Archiv Math.\ Phys.}\ 21 (1913), 42--50 and 250--255. [Investigates the
% norm of the degree $n$ Taylor projection for functions analytic in the
% unit disk, now known as the Landau constant,
% showing it is asymptotic to $\pi^{-1} \log n$ as $n\to\infty$.]
% \par
% {\sc H. Lebesgue,} Sur l'approximation des fonctions, {\em Bull.\ Sci.\
% Math.}\ 22 (1898), 278--287.  [In Lebesgue's first published paper,
% he proves the Weierstrass approximation theorem by approximating
% $|x|$ by polynomials and noting that any continuous function can
% be approximated by piecewise linear functions.]
% \par
% {\sc A. L. Levin and E. B. Saff,} Potential theoretic tools in
% polynomial and rational approximation, in J.-D. Fournier,
% et al., eds., {\em Harmonic
% Analysis and Rational Approximation,} Lec.\ Notes Control Inf.\ Sci.\
% 326/2006 (2006), 71--94.
% [Survey article by two of the experts.]
% \par
% {\sc R.-C. Li,} Near optimality of Chebyshev interpolation for
% elementary function computations, {\em IEEE Trans.\ Computers}
% 53 (2004), 678--687.
% [Shows that although Lebesgue constants for Chebyshev points 
% grow logarithmically as $n\to\infty$, for many classes of functions
% of interest the interpolants come within a factor of 2 of optimality.]
% \par
% {\sc E. L. Lindman,} `Free-space' boundary conditions for
% the time-dependent wave equation,
% {\em J. Comput.\ Phys.}\ 18 (1975), 66--78.
% [Absorbing boundary conditions based on
% Pad\'e approximation of a square root function, later developed
% further by Engquist \& Majda 1977].
% \par
% {\sc G. G. Lorentz,} {\em Approximation of Functions}, 2nd ed., Chelsea, 1986.
% [A readable treatment including good summaries of the Jackson theorems
% for polynomial and trigonometric approximation, first published in 1966.]
% \par
% {\sc K. N. Lungu,} Best approximations by rational functions,
% {\em Math.\ Notes} 10 (1971), 431--433.
% [Shows that the best rational approximations to a real function
% on an interval may be complex and hence also nonunique,
% with examples as simple as
% type $(1,1)$ approximation of $|x|$ on $[-1,1]$.]
% \par
% {\sc H. J. Maehly and Ch.\ Witzgall,} Tschebyscheff-Approximationen in kleinen
% Intervallen.\ II.\ Stetikeitss\"atze f\"ur gebrochen rationale Approximationen,
% {\em Numer.\ Math.}\ 2 (1960), 293--307.
% [Investigates well-posedness of the Cauchy interpolation problem and asymptotics
% of best approximations on small intervals.]
% \par
% {\sc A. P. Magnus,} CFGT determination of Varga's constant
% '1/9', unpublished manuscript, 1985.
% [First identification of the the exact value of Halphen's constant
% $C=9.28903\dots$ for
% the optimal rate of convergence $O(C^{-n})$ of best type $(n,n)$ approximations
% to $e^x$ on $(-\infty,0\kern .5pt]$, later proved correct by Gonchar \& Rakhmanov 1989.]
% \par
% {\sc A. P. Magnus and J. Meinguet,} The elliptic functions and integrals
% of the ``1/9'' problem, {\em Numer.\ Alg.}\ 24 (2000), 117--139.
% [Summary of work initiated by Magnus relating potential theory, elliptic
% functions, and the ``1/9'' problem.]
% \par
% {\sc J. Marcinkiewicz,} Quelques remarques sur l'interpolation,
% {\em Acta Sci.\ Math.\ (Szeged)} 8 (1936--37), 127--30.
% [In contrast to the result of Faber 1914, shows that for any fixed
% continuous function $f$ there is an array of interpolation
% nodes that leads to convergence as $n\to\infty$.]
% \par
% {\sc A. I. Markushevich,} {\em Theory of Functions of a Complex Variable},
% 2nd ed., 3 vols., Chelsea, 1985.  [A highly readable treatise
% on complex variables first published in 1965,
% including chapters on Laurent series, polynomial
% interpolation, harmonic functions, and rational approximation.]
% \par
% {\sc J. C. Mason and D. C. Handscomb,} {\em Chebyshev Polynomials,}
% Chapman and Hall/CRC, 2003.
% [An extensive treatment of four varieties of
% Chebyshev polynomials and their applications.]
% \par
% {\sc G. Mastroianni and M. G. Russo,} Some new results on
% Lagrange interpolation for bounded variation functions,
% {\em J. Approx.\ Th.}\ 162 (2010), 1417--1428.
% [A collection of bounds in $L^p$ norms for both
% $p<\infty$ and $p=\infty$.]
% \par
% {\sc G. Mastroianni and J. Szabados,} Jackson order of approximation
% by Lagrange interpolation.\ II, {\em Acta Math.\ Acad.\ Sci.\ Hungar.}\ 69 (1995), 73--82.
% [Corollary 2 bounds the rate of convergence of Chebyshev interpolants
% for functions whose $k\kern -2pt$ th derivative has bounded variation.]
% \par
% {\sc J. H. McCabe and G. M. Phillips,} On a certain class of Lebesgue
% constants, {\em BIT} 13 (1973), 434--442.  [Shows that the Lebesgue constant
% for polynomial interpolation in $n+1$ Chebyshev points of the second
% kind is bounded by that of $n$ Chebyshev points of the first kind.  The same
% result had been found earlier by Ehlich \& Zeller 1966.]
% \par
% {\sc J. H. McClellan and T. W. Parks,} A personal history of the
% Parks--McClellan algorithm, {\em IEEE Sign.\ Proc.\ Mag.}\ 82 (2005), 
% 82--86.  [The story of the development of the celebrated 
% filter design algorithm published in Parks \& McClellan 1972.]
% \par
% {\sc G. Meinardus,} {\em Approximation of Functions: Theory and Numerical Methods,}
% Springer, 1967.  [Classic approximation theory monograph.]
% \par
% {\sc C. M\'eray,} Observations sur la l\'egitimit\'e
% de l'interpolation, {\em Annal.\ Scient.\ de l'\'Ecole Normale Sup\'erieure}
% 3 (1884), 165--176.  [Discussion of the
% possibility of nonconvergence of polynomial interpolants 17 years before
% Runge, though without so striking an example or conclusion. 
% M\'eray uses just the right technique, the Hermite integral formula, which he correctly
% attributes to Cauchy.]
% \par
% {\sc C. M\'eray,} Nouveaux exemples d'interpolations illusoires,
% {\em Bull.\ Sci.\ Math.}\ 20 (1896), 266--270.
% [Continuation of M\'eray 1884 with more examples.]
% \par
% {\sc S. N. Mergelyan,} On the representation of functions by
% series of polynomials on closed sets (Russian).  {\em Dokl.\ Adak.\ Nauk
% SSSR (N. S.)} 78 (1951), 405--408.  Translation: {\em Translations Amer.\ Math.\
% Soc.}\ 3 (1962), 287--293.
% [Famous theorem asserting that a function continuous
% on a compact set in the complex plane whose complement is connected,
% and analytic in the interior,
% can be uniformly approximated by polynomials.]
% \par
% {\sc H. N. Mhaskar and D. V. Pai,} {\em Fundamentals of Approximation
% Theory,} CRC/Narosa, 2000.
% [Extensive treatment of many topics, especially in linear approximation.]
% \par
% {\sc G. Mittag-Leffler,} Sur la repr\'esentation analytique
% des fonctions d'une variable r\'eelle, {\em Rend.\ Circ.\ Mat.\ Palermo}
% (1900), 217--224.  [Contains a long footnote by Phragm\'en explaining
% how the Weierstrass approximation theorem follows from the
% work of Runge.]
% \par
% {\sc C. Moler and C. Van Loan,} Nineteen dubious ways to compute
% the exponential of a matrix, twenty-five years later,
% {\em SIAM Rev.}\ 45 (2003), 3--49.  [Expanded reprinting of
% 1978 paper summarizing methods for computing $\exp(A)$, the best
% method being related to Pad\'e approximation.]
% \par
% {\sc R. de Montessus de Ballore,} Sur les fractions
% continues alg\'ebriques, {\em Bull.\ Soc.\ Math.\ France}
% 30 (1902), 28--36.
% [Shows that type $(m,n)$ Pad\'e approximants to meromorphic
% functions converge pointwise as $m\to\infty$ in a disk about
% $z=0$ with exactly $n$ poles.]
% \par
% {\sc M. Mori and M. Sugihara,} The double-exponential transformation in
% numerical analysis, {\em J. Comput.\ Appl.\ Math.}\ 127 (2001), 287--296.
% [Survey of a the quadrature algorithm introduced by Takahasi \& Mori 1974]
% \par
% </latex>

%%
% <latex> \vspace{-1em} \small \parskip=2pt
% \def\parr{{\tiny\sl ~CHECK}\par}
% {\sc J.-M. Muller,} {\em Elementary Functions: Algorithms and Implementation},
% 2nd ed., Birkh\"auser, 2006.  [A text on implementation of
% elementary functions on computers, including a chapter on the Remez algorithm.]
% \par
% {\sc Y. Nakatsukasa, Z. Bai and F. Gygi,} Optimizing Halley's iteration
% for computing the matrix polar decomposition, {\em SIAM J. Matrix Anal.\ Appl.}\ 31
% (2010), 2700--2720.
% [Introduction of an algorithm based on a rational function of
% high degree generated by iteration of a simple equiripple approximation.]
% \parr
% {\sc I. P. Natanson,} {\em Constructive Theory of Functions,} 3 vols., Frederick Ungar,
% 1964 and 1965.
% [This major work by a scholar in Leningrad gives equal emphasis to algebraic
% and trigonometric approximation.]
% \par
% {\sc D. J. Newman,} Rational approximation to $|x|$,
% {\em Mich.\ Math.\ J.}\ 11 (1964), 11--14.
% [Shows that whereas polynomial approximants to $|x|$ on $[-1,1]$
% converge at the rate $O(n^{-1})$, for rational approximants the rate is
% $O(\exp(-C\sqrt n\kern 1pt))$.]
% \par
% {\sc D. J. Newman,} Rational approximation to $e^{-x}$,
% {\em J. Approx.\ Th.}\ 10 (1974), 301--303.
% [Shows by a lower bound $1280^{-n}$ that type $(n,n)$ rational
% approximants to $e^x$ on $(-\infty,0\kern .5pt]$ can converge
% no faster than geometrically as $n\to\infty$ in the supremum norm.]
% \par
% {\sc J. Nuttall,} The convergence of Pad\'e approximants of
% meromorphic functions,
% {\em J. Math.\ Anal.\ Appl.}\ 31 (1970), 147--153.
% [Shows that type $(n,n)$ Pad\'e approximants to meromorphic
% functions converge in measure as $n\to\infty$, though not pointwise.]
% \par
% </latex>

%%
% <latex> \vspace{-1em} \small \parskip=2pt
% \def\parr{{\tiny\sl ~CHECK}\par}
% {\sc H. O'Hara and F. J. Smith,} Error estimation in the Clenshaw--Curtis quadrature
% formula, {\em Comput.\ J.}\ 11 (1968), 213--219.
% [Early paper arguing that Clenshaw--Curtis and Gauss quadrature have comparable
% accuracy in practice.]
% \par
% {\sc A. V. Oppenheim, R. W. Schafer and J. R. Buck,} 
% {\em Discrete-time Signal Processing}, Prentice Hall, 1999.
% [A standard textbook on the subject, which is tightly connected with
% polynomial and rational approximation.]
% \par
% {\sc S. A. Orszag (1971a),} Galerkin approximations to flows within slabs, spheres,
% and cylinders, {\em Phys.\ Rev.\ Lett.}\ 26 (1971), 1100--1103.
% [Orszag's first publication on Chebyshev spectral methods.]
% \par
% {\sc S. A. Orszag (1971b),} Accurate solution of the Orr--Sommerfeld
% stability equation, {\em J. Fluid Mech.}\ 50 (1971), 689--703.
% [The most influential of Orszag's early papers on Chebyshev spectral methods.]
% \par
% {\sc R. Pach\'on,} {\em Algorithms for Polynomial and Rational Approximation
% in the Complex Domain,} DPhil thesis, U. of Oxford, 2010.
% [Includes chapters on rational best approximants, interpolants, and Chebyshev--Pad\'e
% approximants and their application to exploration of functions in the
% complex plane.]
% \par
% {\sc R. Pach\'on, P. Gonnet and J. Van Deun,} Fast and stable rational
% interpolation in roots of unity and Chebyshev points, {\em SIAM J. Numer.\ Anal.},
% to appear.
% [Linear algebra formulation of the rational interpolation problem in a
% manner closely suited to computation.]
% \par
% {\sc R. Pach\'on, R. B. Platte and L. N. Trefethen,}
% Piecewise-smooth chebfuns, {\em IMA J. Numer.\ Anal.}\ 30 (2010),
% 898--916.
% [Generalization of Chebfun from single to multiple polynomial pieces, 
% including edge detection algorithm to determine breakpoints.]
% \par
% {\sc R. Pach\'on and L. N. Trefethen,} Barycentric-Remez algorithms
% for best polynomial approximation in the chebfun system,
% {\em BIT Numer.\ Math.}\ 49 (2009), 721--741.  [Chebfun implementation
% of Remez algorithm for computing polynomial best approximations.]
% \par
% {\sc H. Pad\'e,} Sur la repr\'esentation approch\'ee d'une fonction par
% des fractions rationelles, {\em Annales Sci.\ de l'\'Ecole Norm.\ Sup.}\ 9
% (1892) (suppl\'ement), 3--93.
% [The first of many publications by Pad\'e on the subject that
% became known as Pad\'e approximation, with discussion of defect
% and block structure including a number of explicit examples.] 
% \par
% {\sc T. W. Parks and J. H. McClellan,} Chebyshev approximation for nonrecursive
% digital filters with linear phase,
% {\em IEEE Trans.\ Circuit Theory}  CT-19 (1972), 189--194.
% [Proposes what became known as the
% Parks--McClellan algorithm for digital filter design,
% based on a barycentric formulation of the Remez
% algorithm for best approximation by trigonometric polynomials.]
% \par
% {\sc B. N. Parlett and C. Reinsch,} Handbook series linear algebra:
% balancing a matrix for calculation of eigenvalues and eigenvectors,
% {\em Numer.\ Math.}\ 13 (1969), 293--304.  [Introduction of the
% technique of balancing a matrix by a diagonal similarity transformation that
% is crucial to the success of the QR algorithm.]
% \par
% {\sc K. Pearson,} {\em On the Construction of Tables and on Interpolation I.
% Uni-variate Tables,} Cambridge U. Press, 1920.
% [Contains as an appendix a fascinating annotated bibliography of 50 early
% contributions to interpolation.  Pearson's annotations are not always as
% polite as my own, with comments like ``Not very adequate'' and
% ``A useful, but somewhat disappointing book.'']
% \par
% {\sc O. Perron,} {\em Die Lehre von den Kettenbr\"uchen,} 2nd ed., Teubner, 1929.
% [This classic monograph on continued fractions, first published in 1913,
% was perhaps the first to identify
% the problem of spurious poles or Froissart doublets in Pad\'e approximation.
% At the end of \S 78 a function is constructed whose type $(m,1)$ Pad\'e approximants
% have poles appearing infinitely often on a dense set of points in the complex
% plane.]
% \par
% {\sc P. P. Petrushev and V. A. Popov,} {\em Rational Approximation of
% Real Functions,} Cambridge U. Press, 1987.  [Detailed 
% presentation of a great range of results known up to 1987.]
% \par
% {\sc R. Piessens,} Algorithm 473: Computation of Legendre series coefficients [C6],
% {\em Comm.\ ACM} 17 (1974), 25--25.
% [$O(n^2)$ algorithm for converting from Chebyshev to Legendre expansions.]
% \par
% </latex>

%%
% <latex> \vspace{-1em} \small \parskip=2pt
% \def\parr{{\tiny\sl ~CHECK}\par}
% {\sc A. Pinkus,} Weierstrass and approximation theory,
% {\em J. Approx.\ Th.}\ 107 (2000), 1--66.  [Detailed
% discussion of Weierstrass's nowhere-differentiable function
% and of the Weierstrass approximation theorem and its
% many proofs and generalizations.]
% \par
% {\sc R. B. Platte, L. N. Trefethen and A. B. J. Kuijlaars,}
% Impossibility of fast stable approximation of analytic functions
% from equispaced samples, {\em SIAM Rev.}\ 53 (2011), 308--318.
% [Shows that any exponentially convergent scheme for approximating
% analytic functions from equispaced samples in an interval must be
% exponentially ill-conditioned as $n\to\infty$;
% thus no approximation scheme can eliminate the Gibbs and Runge phenomena 
% completely.]
% \par
% {\sc G. P\'olya,} \"Uber die Konvergenz von Quadraturverfahren,
% {\em Math.\ Z.}\ 37 (1933), 264--286.
% [Proves that a family of interpolating
% quadrature rules converges for all continuous integrands
% if and only if the sums of the absolute values of the weights
% are uniformly bounded; proves further that
% Newton--Cotes quadrature approximations do not
% always converge as $n\to\infty$, even if the integrand is analytic.]
% \par
% {\sc Ch.\ Pommerenke,} Pad\'e approximants and convergence in
% capacity, {\em J. Math.\ Anal.\ Appl.}, 41 (1973), 775--780.
% [Sharpens Nuttall's result on convergence of Pad\'e approximants
% in measure to convergence in capacity.]
% \par
% {\sc J. V. Poncelet,} Sur la valeur approch\'ee lin\'eaire et rationelle des radicaux de la
% forme $\sqrt{a^2+b^2}, \sqrt{a^2-b^2}$ etc., {\em J. Reine Angew.\ Math.}\ 13 (1835),
% 277--291.
% [Perhaps the very first discussion of minimax approximation.]
% \par
% {\sc D. Potts, G. Steidl and M. Tasche,} Fast algorithms for
% discrete polynomial transforms, {\em Math.\ Comp.}\ 67 (1998),
% 1577--1590. [Algorithms for converting between Chebyshev and
% Legendre expansions.]
% \par
% {\sc M. J. D. Powell,} {\em Approximation Theory and Methods,}
% Cambridge U. Press, 1981.  [Approximation theory
% text with a computational emphasis, particularly strong on the
% Remez algorithm and on splines.]
% \par
% {\sc H. A. Priestley,} {\em Introduction to Complex Analysis,} 2nd ed.,
% Oxford U. Press, 2003.
% [Well known introductory complex analysis textbook first published in 1985.]
% \par
% {\sc I. E. Pritsker and R. S. Varga,} The Szeg\H o curve, zero distribution
% and weighted approximation, {\em Trans.\ Amer.\ Math.\ Soc.}\ 349
% (1997), 4085--4105.  [Analysis of the Szeg\H o curve using
% methods of potential theory.]
% \par
% {\sc P. Rabinowitz,} Rough and ready error estimates in Gaussian integration
% of analytic functions, {\em Comm.\ ACM} 12 (1969), 268--270.
% [Derives tight bounds on accuracy of Gaussian quadrature by simple arguments.]
% \par
% {\sc H.-J. Rack and M. Reimer,} The numerical stability of evaluation
% schemes for polynomials based on the Lagrange interpolation form,
% {\em BIT} 22 (1982), 101--107.  [Proof of stability
% for barycentric polynomial interpolation in well-distributed point sets,
% later developed further by Higham 2004.]
% \par
% {\sc T. Ransford,} {\em Potential Theory in the Complex Plane,} Cambridge U. Press,
% 1995.  [Perhaps the only book devoted to this subject.]
% \par
% {\sc T. Ransford,} Computation of logarithmic capacity,
% {\em Comput.\ Meth.\ Funct.\ Th.}\ 10 (2010), 555--578.
% [An algorithm for computing capacity of a set in the complex plane, with examples.]
% \par
% {\sc E. Remes,} Sur un proc\'ed\'e convergent d'approximations successives
% pour d\'eterminer les polyn\^omes d'approximation, {\em Compt.\ Rend.\ Acad.\ Sci.}\ 198
% (1934), 2063--2065.  [One of the original papers presenting the Remez algorithm.]
% \parr
% {\sc E. Remes,} Sur le calcul effectif des polyn\^omes d'approximation de
% Tchebichef, {\em Compt.\ Rend.\ Acad.\ Sci.}\ 199 (1934), 337--340.
% [The other original paper presenting the Remez algorithm.]
% \parr
% {\sc E. Y. Remes,} On approximations in the complex domain,
% {\em Dokl.\ Akad.\ Nauk SSSR} 77 (1951), 965--968 [Russian].
% \parr
% {\sc E. Ya.\ Remez,} General computational methods of Tchebycheff approximation,
% Atomic Energy Commission Translation 4491, Kiev, 1957, pp.~1--85.
% \parr
% {\sc J. R. Rice,} {\em The Approximation of Functions,}
% Addison-Wesley, 1964 and 1969.
% [Two volumes, the first linear and the second nonlinear.]
% \par
% {\sc L. F. Richardson,} The deferred approach to the limit. I---single lattice.
% {\em Phil.\ Trans.\ Roy.\ Soc.\ A} (1927), 299--349.
% [Systematic discussion of Richardson extrapolation, emphasizing discretizations
% with $O(h^2)$ error behavior.]
% \par
% {\sc M. Richardson and L. N. Trefethen,} A sinc function analogue
% of Chebfun, {\em SIAM J. Sci.\ Comput.}\ 33 (2011), 2519--2535.
% [Presents a ``Sincfun'' software analogue of Chebfun for dealing with
% functions with endpoint singularities via variable transformation and
% sinc function interpolants.]
% \par
% {\sc F. Riesz,} \"Uber lineare Funktionalgleichungen, {\em Acta Math.}\ 41
% (1918), 71--98.  [First statement of the general existence result for
% best approximation from finite-dimensional linear spaces.]
% \par
% {\sc M. Riesz,} \"Uber einen Satz des Herrn Serge Bernstein,
% {\em Acta. Math.}\ 40 (1916), 43--47.  [Gives a new proof of
% a Bernstein inequality
% based on the barycentric formula for Chebyshev points, in the process
% deriving the barycentric coefficients
% $(-1)^j$ half a century before Salzer 1972.]
% \parr
% {\sc T. J. Rivlin,} {\em An Introduction to the Approximation of
% Functions,} Dover, 1981.
% [Appealing short textbook originally published in 1969.]
% \par
% {\sc T. J. Rivlin,} {\em Chebyshev Polynomials: From Approximation Theory
% to Algebra and Number Theory,} 2nd ed., Wiley, 1990.
% [Classic book on Chebyshev polynomials and applications, with first
% edition in 1974.]
% \par
% {\sc J. D. Roberts,} Linear model reduction and solution of
% the algebraic Riccati equation by use of the sign function,
% {\em Internat.\ J. Control} 32 (1980), 677--687.
% [This article connecting rational functions with the sign function
% was written in 1971 as Technical Report CUED/B-Control/TR13 of
% the Cambridge University Engineering Dept.]
% \par
% {\sc W. Rudin,} {\em Principles of Mathematical Analysis,} 3rd ed.,
% McGraw-Hill, 1976.  [Influential textbook first published in 1953.]
% \par
% {\sc P. O. Runck,} \"Uber Konvergenzfragen bei
% Polynominterpolation mit \"aquidistanten Knoten.\ II,
% {\em J. Reine Angew.\ Math.}\ 210 (1962), 175--204.
% [Analyzes the Gibbs overshoot for two varieties of polynomial
% interpolation of a step function.]
% \par
% {\sc C. Runge (1885a),} Zur Theorie der eindeutigen analytischen Functionen,
% {\em Acta Math.}\ 6 (1885), 229--244.
% [Publication of Runge's theorem: 
% a function analytic on a compact set in the complex plane whose complement
% is connected can be uniformly approximated by polynomials.  This was
% later generalized by Mergelyan.]
% \par
% {\sc C. Runge (1885b),} \"Uber die Darstellung willk\"urlicher Functionen,
% {\em Acta Math.}\ 7 (1885), 387--392.  [Shows that a continuous function on
% a finite interval can be uniformly approximated by rational functions.
% It was later noted by Phragm\'en and Mittag-Leffler that
% this and the previous paper by Runge together imply the Weierstrass
% approximation theorem.]
% \par
% </latex>

%%
% <latex> \vspace{-1em} \small \parskip=2pt
% \def\parr{{\tiny\sl ~CHECK}\par}
% {\sc C. Runge,} \"Uber empirische Funktionen und die Interpolation
% zwischen \"aquidistanten Ordinaten,
% {\em Z. Math.\ Phys.}\ 46 (1901), 224--243.
% [M\'eray had pointed out that polynomial interpolants
% might fail to converge, but it was this paper that focussed on equispaced
% sample points, showed that divergence can take place even in the
% interval of interpolation, and identified the ``Runge region'' where
% analyticity is required for convergence.]
% \par
% {\sc A. Ruttan,} The length of the alternation set as a factor in
% determining when a best real rational approximation is also a best complex
% rational approximation, {\em J. Approx.\ Th.}\ 31 (1981), 230--243.
% [Shows that complex best approximations are always better
% than real ones in the strict lower-right triangle of a square block of
% the Walsh table.]
% \par 
% {\sc A. Ruttan and R. S. Varga,} A unified theory for real vs.\ complex
% rational Chebyshev approximation on an interval, {\em Trans.\ Amer.\ Math.\ Soc.}\ 312 (1989),
% 681--697.  [Shows that type $(m,m+2)$ complex rational approximants to real functions
% can be up to $3$ times as accurate as real ones.]
% \par
% {\sc E. B. Saff,} An extension of Montessus de Ballore's theorem
% on the convergence of interpolating rational functions, {\em J. Approx.\ Th.}\ 6
% (1972), 63--67.  [Generalizes the de Montessus de Ballore theorem from
% Pad\'e to multipoint Pad\'e approximation.]
% \par
% {\sc E. B. Saff and A. D. Snider,} {\em Fundamentals of Complex
% Analysis with Applications to Engineering, Science, and Mathematics,}
% 3rd ed., Prentice Hall, 2003.
% [Widely used introductory complex analysis textbook.]
% \par
% {\sc E. B. Saff and V. Totik,} {\em Logarithmic Potentials with
% External Fields,} Springer, 1997.
% [Presentation of connections between potential theory and rational approximation.]
% \par
% {\sc E. B. Saff and R. S. Varga (1978a),} Nonuniqueness of best complex
% rational approximations to real functions on real intervals,
% {\em J. Approx.\ Th.}\ 23 (1978), 78--85.  [Rediscovery of results of
% Lungu 1971.]
% \par
% {\sc E. B. Saff and R. S. Varga} (1978b), On the zeros and poles
% of Pad\'e approximants to $e^z$. III, 
% {\em Numer.\ Math.}\ 30 (1978), 241--266.
% [Analysis of the curves in the complex plane along which poles and
% zeros of these approximants cluster.]
% \par
% {\sc T. W. Sag and G. Szekeres,} Numerical evaluation of high-dimensional
% integrals, {\em Math.\ Comp.}\ 18 (1964), 245--253.  [Introduction
% of changes of variables that can speed up Gauss and other quadrature
% formulas, even in one dimension.]
% \par
% {\sc Salazar Celis,}
% \parr
% {\sc H. E. Salzer,} A simple method for summing certain slowly
% convergent series, {\em J. Math.\ Phys.}\ 33 (1955), 356--359.
% [``Salzer's method'' for acceleration of convergence, based on
% interpreting a sequence of values as samples of a function $f(x)$
% at $x_n=n^{-1}$.]
% \par
% {\sc H. E. Salzer,} Lagrangian interpolation at the Chebyshev points
% $x_{n,\nu} = \cos(\nu \pi/n)$, $\nu = 0(1)n$; some unnoted advantages,
% {\em Computer J.}\ 15 (1972), 156--159.  [Barycentric formula
% for polynomial interpolation in Chebyshev points.]
% \par
% {\sc H. E. Salzer,} Rational interpolation using incomplete barycentric forms,
% {\em Z. Angew.\ Math.\ Mech.}\ 61 (1981), 161--164.
% [One of the first publications to propose the use of
% rational interpolants defined by barycentric formulas.]
% \par
% {\sc T. Schmelzer and L. N. Trefethen,} Evaluating matrix functions
% for exponential integrators via 
% Carath\'eodory--Fej\'er approximation and
% contour integrals, {\em Elect.\ Trans.\ Numer.\ Anal.}\ 29 (2007), 1--18.
% [Fast methods based on rational approximations
% for evaluating the $\varphi$ functions used by
% exponential integrators for solving stiff ODEs and PDEs.]
% \par
% {\sc J. R. Schmidt,} On the numerical solution of linear
% simultaneous equations by an iterative method,
% {\em Philos.\ Mag.} 32 (1941),  369--383.
% [Proposal of what became known as the epsilon or eta algorithm some years
% before Shanks 1955, Wynn 1956, and Bauer 1959.]
% \par
% {\sc C. Schneider and W. Werner,} Some new aspects of rational interpolation,
% {\em Math.\ Comp.}\ 47 (1986), 285--299.
% [Extension of barycentric formulas to rational interpolation.]
% \par
% {\sc A. Sch\"onhage,} Fehlerfortpflanzung bei Interpolation,
% {\em Numer.\ Math.}\  3 (1961), 62--71. 
% [Independent rediscovery of results close to those of Turetskii 1940 
% concerning Lebesgue constants for equispaced points.]
% \par
% {\sc A. Sch\"onhage,} Zur rationalen Approximierbarkeit von
% $e^{-x}$ \"uber $[0,\infty)$, {\em J. Approx.\ Th.}\ 7 (1973), 395--398.
% [Proves that in maximum-norm approximation of $e^x$ on $(-\infty,0\kern .5pt]$ by
% inverse-polynomials $1/p_n(x)$, the optimal rate is $O(3^{-n})$.]
% \par
% {\sc I. Schur,} \"Uber Potenzreihen, die im Innern des Einheitskreises
% beschr\"ankt sind, {\em J. Reine Angew.\ Math.}\ 148 (1918), 122--145.
% [Solution of the problem of Carath\'eodory and Fej\'er via the 
% eigenvalue analysis of a Hankel matrix of Taylor coefficients.]
% \par
% {\sc D. Shanks,} Non-linear transformations of divergent and slowly
% convergent sequences, {\em J. Math.\ Phys.}\ 34 (1955), 1--42.
% [Introduction of Shanks' method for convergence acceleration by 
% Pad\'e approximation, closely related to the epsilon algorithm of
% Wynn 1956.]
% \par
% {\sc J. Shen, T. Tang and L.-L. Wang,} {\em Spectral Methods: Algorithms, Analysis
% and Applications,} Springer, 2011.  
% [Systematic presentation of spectral methods including convergence theory.]
% \par
% {\sc B. Shiffman and S. Zelditch,} Equilibrium distribution of zeros of
% random polynomials, {\em Int.\ Math.\ Res.\ Not.} 2003, no.~1.
% [Shows that polynomials given by expansions
% in orthogonal polynomials with random
% coefficients have roots clustering
% near the support of the orthogonality measure.]
% \parr
% {\sc A. Sidi,} {\em Practical Extrapolation Methods,} Cambridge U. Press, 2003.
% [Extensive treatment of methods for acceleration of convergence.]
% \par
% {\sc G. A. Sitton, C. S. Burrus, J. W. Fox and S. Treitel,}
% Factoring very-high-degree polynomials, {\em IEEE Signal
% Proc.\ Mag.}, Nov.\ 2003, 27--42.
% [Discussion of rootfinding for polynomials of degree up to
% one million by the Lindsey--Fox algorithm.]
% \par
% {\sc V. I. Smirnov and N. A. Lebedev,} {\em Functions of a Complex
% Variable: Constructive Theory}, MIT Press, 1968.
% [Major survey of problems of polynomial and rational approximation
% in the complex plane.]
% \par
% {\sc F. Smithies,} {\em Cauchy and the Creation of Complex Function
% Theory}, Cambridge U. Press, 1997.  [Detailed account of Cauchy's
% almost single-handed creation of this field during 1814--1831.]
% \par
% {\sc M. A. Snyder,} {\em Chebyshev Methods in Numerical
% Approximation,} Prentice Hall, 1966.
% [An appealing short book emphasizing rational as well as
% polynomial approximations.]
% \par
% {\sc W. Specht,} Die Lage der Nullstellen eines Polynoms. III,
% {\em Math.\ Nachr.}\ 16 (1957), 369--389.
% [Development of comrade matrices, whose eigenvalues are roots
% of polynomials expressed in bases of orthogonal polynomials.]
% \par
% {\sc W. Specht,} Die Lage der Nullstellen eines Polynoms. IV,
% {\em Math.\ Nachr.}\ 21 (1960), 201--222.
% [The final page considers colleague matrices, the special
% case of comrade matrices for
% Chebyshev polynomials.  These ideas were developed independently
% by Good 1961.]
% \par
% {\sc H. Stahl,} The convergence of Pad\'e approximants
% to functions with branch points, {\em J. Approx.\ Th.}\ 91
% (1997), 139--204.
% [Generalizes the Nuttall--Pommerenke theorem on convergence of
% type $(n,n)$ Pad\'e approximants to the case of functions $f$ with
% branch points.]
% \par
% {\sc H. Stahl,} Spurious poles in Pad\'e approximation,
% {\em J. Comp.\ Appl.\ Math.}\ 99 (1998), 511--527.
% [Defines and analyzes what it means for a pole of a Pad\'e approximant
% to be spurious.]
% \par
% </latex>

%%
% <latex> \vspace{-1em} \small \parskip=2pt
% \def\parr{{\tiny\sl ~CHECK}\par}
% {\sc H. Stahl,} Best uniform rational approximation of $|x|$ on $[-1,1]$,
% {\em Russian Acad.\ Sci.\ Sb.\ Math.}\  76 (1993), 461--487.
% [Proof of the conjecture of Varga, Ruttan and Carpenter that
% best rational approximations to $|x|$ on $[-1,1]$
% converge at the rate $\sim 8\kern .1pt \exp(-\pi \sqrt n\kern .9pt)$.]
% \par
% {\sc H. R. Stahl,} Best uniform rational approximation of $x^\alpha$ on $[0,1]$,
% {\em Acta Math.}\ 190 (2003), 241--306.
% [Generalization of the results of the paper above to approximation of
% $x^\alpha$ on $[0,1]$, completing earlier
% investigations of Ganelius and Vyacheslavov.]
% \par
% {\sc H. Stahl and T. Schmelzer,} An extension of the `1/9'-problem,
% {\em J. Comput.\ Appl.\ Math.}\ 233 (2009), 821--834.
% [Announcement of numerous extensions of the ``9.28903'' result
% of Gonchar \& Rakhmanov 1989 for
% type $(n,n)$ best approximation of $e^x$ on $(-\infty,0\kern .5pt]$,
% showing that the same rate of approximation applies on compact sets in
% the complex plane and on Hankel contours, and that ``9.28903'' is also
% achieved on $(-\infty,0\kern.5pt]$ 
% in type $(n,n+k)$ approximation of $e^x$ or of
% related functions such as $\varphi$ functions for exponential integrators.]
% \par
% {\sc K.-G. Steffens,} {\em The History of Approximation Theory: From Euler
% to Bernstein}, Birkh\"auser, 2006.
% [Discussion of many people and results, especially of the St.\ Petersburg
% school, by a student of Natanson.]
% \par
% {\sc E. M. Stein and R. Shakarchi,} {\em Real Analysis: Measure Theory,
% Integration, and Hilbert Spaces,} Princeton U. Press, 2005.
% [A leading textbook.]
% \par
% {\sc F. Stenger,} Explicit nearly optimal linear rational approximation
% with preassigned poles, {\em Math.\ Comput.}\ 47 (1986), 225--252.
% [Construction of rational approximants by a method related to sinc
% expansions.]
% \par
% {\sc F. Stenger,} {\em Numerical Methods Based on Sinc and
% Analytic Functions,} Springer, 1993.  [Comprehensive treatise by the
% leader in sinc function algorithms.]
% \par
% {\sc F. Stenger,} {\em Sinc Numerical Methods,} CRC Press, 2010.
% [A handbook of sinc methods and their implementation in
% the author's software package Sinc-Pack.]
% \par
% {\sc T. J. Stieltjes (1884a),} Note sur quelques formules pour l'\'evaluation de certaines
% int\'egrales, {\em Bull.\ Astr.\ Paris} 1 (1884), 568--569.
% \parr
% {\sc T. J. Stieltjes (1884b),} Quelques recherches sur la th\'eorie des
% quadratures dites m\'ecaniques, {\em Ann.\ Sci.\ \'Ecole Norm.\ Sup.}\
% 1 (1884), 409--426.
% [Proves that Gauss quadrature converges for any
% Riemann integrable integrand.]
% \parr
% {\sc T. J. Stieltjes,}  Sur les polyn\^omes de
% Jacobi, {\em Compt.\ Rend.\ Acad.\ Sci.}\ 199 (1885), 620--622.
% [Shows that the roots of $(x^2-1)P_{n-1}^{(1,1)}(x)$ are
% Fekete points (minimal-energy points) in $[-1,1]$.]
% \par
% {\sc J. Szabados,} Rational approximation to analytic functions
% on an inner part of the domain of analyticity, in A. Talbot, ed.,
% {\em Approximation Theory,} Academic Press, 1970, pp.\ 165--177.
% [Shows that for some
% functions analytic in a Bernstein $\rho$-ellipse, type $(n,n)$ rational best
% approximations are essentially no better than degree $n$ polynomial
% best approximations.]
% \par
% {\sc G. Szeg\H o,} \"Uber eine Eigenschaft der Exponentialreihe,
% {\em Sitzungsber.\ Berl.\ Math.\ Ges.}\ 23 (1924), 50--64.
% [Shows that as $n\to\infty$, the zeros of the
% normalized partial sums $s_n(nz)$ of the Taylor series of $e^z$ approach
% the Szeg\H o curve in the complex $z$-plane
% defined by $|z\kern .7pt e^{1-z}|=1$ and $|z|\le 1$.]
% \par
% {\sc G. Szeg\H o,} {\em Orthogonal Polynomials,} Amer.\ Math.\ Soc., 1985.
% [A classic monograph by
% the master, including chapters on polynomial interpolation and quadrature, first
% published in 1939.]
% \par
% {\sc E. Tadmor,} The exponential accuracy of Fourier and Chebyshev
% differencing methods, {\em SIAM J. Numer.\ Anal.}\ 23 (1986), 1--10.
% [Presents theorems on
% exponential accuracy of Chebyshev interpolants of analytic functions
% and their derviatives.]
% \par
% {\sc T. Takagi,} On an algebraic problem related to an analytic
% theorem of Carath\'eodory and Fej\'er and on an
% allied theorem of Landau, {\em Japan J. Math.}\ 1 (1924), 83--91 and
% ibid., 2 (1925), 13--17.  [Beginnings of the generalization
% of Carath\'eodory \& Fej\'er 1911 and Schur 1918 to rational approximation.]
% \par
% {\sc H. Takahasi and M. Mori,} Estimation of errors in the numerical
% quadrature of analytic functions, {\em Applicable Anal.}\ 1 (1971), 201--229.
% [Relates the accuracy of a quadrature formula to the accuracy of an associated
% rational function as an approximation to $\log((z+1)/(z-1))$ on a
% contour enclosing $[-1,1]$.]
% \par
% {\sc H. Takahasi and M. Mori,} Double exponential formulas for numerical
% integration, {\em Publ.\ RIMS, Kyoto U.}\ 9 (1974), 721--741.
% [Introduction of the double exponential or tanh-sinh quadrature rule,
% in which Gauss quadrature is transformed by a change of variables to
% another formula that can handle endpoint singularities.]
% \par
% {\sc A. Talbot,} The uniform approximation of polynomials by polynomials of
% lower degree, {\em J. Approx.\ Th.}\ 17 (1976), 254--279.
% [A precursor to the Carath\'eodory--Fej\'er method.]
% \par
% {\sc F. D. Tappert,} The parabolic approximation method, in J. B. Keller and J. S.
% Papadakis, eds., {\em Wave Propagation and Underwater Acoustics,}
% Springer, 1977, pp.~224--287.
% [Describes techniques for one-way acoustic wave simulation in
% the ocean, based on polynomial and rational approximations of
% a pseudodifferential operator.]
% \par
% {\sc R. Taylor and V. Totik,} Lebesgue constants for Leja points,
% {\em IMA J. Numer.\ Anal.}\ 30 (2010), 462--486.
% [Proves that for general sets in the complex plane, the Lebesgue
% constants associated with Leja points grow subexponentially.]
% \par
% {\sc W. J. Taylor,} Method of Lagrangian curvilinear interpolation,
% {\em J. Res.\ Nat.\ Bur.\ Stand.}\ 35 (1945), 151--155.  [The first
% use of the barycentric interpolation formula, for equidistant points only and
% without the term ``barycentric'', which was introduced by Dupuy 1948.]
% \par
% {\sc T. W. Tee and L. N. Trefethen,} A rational spectral collocation
% method with adaptively transformed Chebyshev grid points,
% {\em SIAM J. Sci.\ Comp.}\ 28 (2006), 1798--1811.
% [Numerical solution of differential equations with highly nonuniform
% solutions using Chebyshev--Pad\'e approximation, conformal maps, and 
% spectral methods based on rational barycentric interpolants, as advocated
% by Berrut and coauthors.]
% \par
% {\sc H. Tietze,} Eine Bemerkung zur Interpolation, {\em Z. Angew.\ Math.\ Phys.}\ 64
% (1917), 74--90.  [Investigates the Lebesgue function for equidistant points,
% showing the local maxima decrease monotonically from the outside of the interval 
% toward the middle.]
% \par
% {\sc A. F. Timan,} A strengthening of Jackson's theorem on the
% best approximation of continuous functions by polynomials on a finite
% interval of the real axis, {\em Doklady Akad.\ Nauk SSSR} 78 (1951), 17--20.
% [A theorem on polynomial approximation that recognizes the greater
% approximation power near the ends of the interval.]
% \par
% {\sc A. F. Timan,} {\em Theory of Approximation of Functions of a Real
% Variable,} Dover, 1994.  [First published in Russian in 1960.]
% \par
% {\sc K.-C. Toh and L. N. Trefethen,} Pseudozeros of polynomials and
% pseudospectra of companion matrices, {\em Numer.\ Math.}\ 68 (1994), 403--425.
% [Analysis of stability of companion matrix eigenvalues as
% an algorithm for polynomial rootfinding, given a polynomial
% expressed by its coefficients in the monomial basis.]
% \par
% {\sc L. Tonelli,} I polinomi d'approssimazione di Tschebychev, {\em Annali di Mat.}\ 15
% (1908), 47--119.  [Extension of results on real best approximation
% to the complex case.]
% \par
% {\sc L. N. Trefethen,} Chebyshev approximation on the unit disk, in
% H. Werner et al., eds., {\em Constructive Aspects of Complex
% Analysis}, D. Riedel, 1983.  [An introduction
% to several varieties of CF approximation.]
% \par
% {\sc L. N. Trefethen,} Square blocks and equioscillation
% in the Pad\'e, Walsh, and CF tables, in 
% P. R. Graves-Morris, et al., eds., {\em Rational Approximation
% and Interpolation,} Lect.\ Notes in Math., v.~1105, Springer, 1984.
% [Shows that square block structure in all three tables
% of rational approximations arises from equioscillation-type
% characterizations involving the defect.]
% \par
% </latex>

%%
% <latex> \vspace{-1em} \small \parskip=2pt
% \def\parr{{\tiny\sl ~CHECK}\par}
% {\sc L. N. Trefethen,} {\em Spectral Methods in MATLAB}, SIAM, 2000.
% [Matlab-based textbook on spectral methods for ODEs and PDEs.]
% \par
% {\sc L. N. Trefethen,} Is Gauss quadrature better than
% Clenshaw--Curtis?, {\em SIAM Rev.}\ 50 (2008), 67--87.
% [Shows by considering approximation properties in the complex plane
% that for most functions, the Clenshaw--Curtis and Gauss formulas
% have comparable accuracy.]
% \par
% {\sc L. N. Trefethen,} Householder triangularization of a quasimatrix,
% {\em IMA J. Numer.\ Anal.}\ 30 (2010), 887--897.
% [Extends the Householder triangularization algorithm to quasimatrices, i.e.,
% ``matrices'' whose columns are functions rather than vectors.]
% \par
% {\sc L. N. Trefethen and D. Bau,} III,
% {\em Numerical Linear Algebra,} SIAM, 1997.
% [A standard text, with a section ``When vectors become continuous
% functions'' at p.~52 that foreshadows Chebfun computation with quasimatrices.]
% \par
% {\sc L. N. Trefethen and M. H. Gutknecht (1983a),} Real vs.\ complex rational Chebyshev
% approximation on an interval, {\em Trans.\ Amer.\ Math.\ Soc.}\ 280
% (1983), 555--561.
% [Shows that type $(m,n)$ complex rational approximations to a real
% function on an interval may be arbitrarily much better than real
% ones, for $n\ge m+3$.]
% \par
% {\sc L. N. Trefethen and M. H. Gutknecht (1983b),}
% The Carath\'eodory--Fej\'er method for real rational
% approximation, {\em SIAM J. Numer.\ Anal.}\ 20 (1983), 420--436.
% [Introduction of real rational CF approximation, and first numerical computation
% of the constant $9.28903\dots$ for minimax rational approximation of $e^x$ on
% $(-\infty,0\kern .7pt ]$.]
% \par
% {\sc L. N. Trefethen and M. H. Gutknecht,}
% On convergence and degeneracy in rational Pad\'e and Chebyshev
% approximation, {\em SIAM J. Math.\ Anal.}\ 16 (1985), 198--210.
% [Proves theorems to the effect that the Pad\'e approximation operator
% is continuous, and Pad\'e approximants are limits of best approximants on
% regions shrinking to a point, provided that the defect is $0$.]
% \par
% {\sc L. N. Trefethen and M. H. Gutknecht,} Pad\'e, stable Pad\'e, and
% Chebyshev--Pad\'e approximation, in J. C. Mason and M. G. Cox,
% {\em Algorithms for Approximation,} Clarendon Press, 1987, pp.~227--264.
% [Reduces the problem of Chebyshev--Pad\'e approximation to
% the problem of stable Pad\'e approximation,
% that is, Pad\'e approximation with a constraint on location of poles.]
% \par
% {\sc L. N. Trefethen and L. Halpern,} Well-posedness of
% one-way wave equations and absorbing boundary conditions,
% {\em Math.\ Comput.}\ 47 (1986), 421--435.
% [Shows that approximations from two diagonals of the Pad\'e table must
% be used in these applications; polynomial and other approximations are ill-posed.]
% \par
% {\sc L. N. Trefethen and J. A. C. Weideman,} Two results concerning polynomial
% interpolation in equally spaced points, {\em J. Approx.\ Th.}\ 65 (1991), 247--260.
% [Discussion of the size of Lebesgue constants and ``6 points per wavelength''
% for polynomial interpolation in equispaced points.]
% \par
% {\sc L. N. Trefethen, J. A. C. Weideman and T. Schmelzer,} Talbot quadratures
% and rational approximations, {\em BIT Numer.\ Math.}\ 46 (2006), 653--670.
% [Shows how integrals approximated by the trapezoid rule correspond to
% rational approximations in the complex plane, with particular attention to the
% approximation of $e^x$ on $(-\infty,0\kern .5pt ]$.]
% \par
% {\sc A. H. Turetskii,} The bounding of polynomials prescribed at equally
% distributed points, {\em Proc.\ Pedag.\ Inst.\ Vitebsk} 3 (1940), 117--127 (Russian).
% [Derivation of the $\sim 2^n/e\kern .7pt n \log n$ asymptotic size of Lebesgue constants for
% equispaced polynomial interpolation.  This paper went largely unnoticed
% for fifty years and the main result was
% rediscovered by Sch\"onhage 1961.]
% \par
% {\sc Ch.-J. de la Vall\'ee Poussin,} Note sur l'approximation par un
% polyn\^ome d'une fonction dont la deriv\'ee est
% \`a variation born\'ee, {\em Bull.\ Acad.\ Belg.}\ 1908, 403--410.
% \parr
% {\sc Ch.\ de la Vall\'ee Poussin,} Sur les polyn\^omes d'approximation et
% la repr\'esentation approch\'ee d'un angle, {\em Acad.\ Roy.\ de
% Belg., Bulletins de la Classe des Sci.}\ 12 (1910).
% \parr
% {\sc Ch.\ J. de la Vall\'ee Poussin,} {\em Le\c cons sur l'approximation des fonctions
% d'une variable r\'eelle,} Gauthier-Villars, Paris, 1919.
% \parr
% {\sc J. Van Deun and L. N. Trefethen,} A robust implementation of
% the Carath\'eodory--Fej\'er method, {\em BIT Numer.\ Math.}\ 
% 51 (2011), 1039--1050.
% [Twenty-five years after the original theoretical papers, a paper
% describing the practical details behind the Chebfun {\tt cf}
% command.]
% \par
% {\sc R. S. Varga and A. J. Carpenter,} On the Bernstein conjecture
% in approximation theory, {\em Constr.\ Approx.}\ 1 (1985), 333--348.
% [Shows that degree $n$ best polynomial approximants to $|x|$ have asymptotic
% accuracy $0.280\dots n^{-1}$ rather than $0.282\dots n^{-1}$.]
% \par
% {\sc R. S. Varga, A. Ruttan and A. J. Carpenter,} Numerical results
% on best uniform rational approximation of $|x|$ on $[-1,1]$,
% {\em Math.\ USSR Sbornik} 74 (1993), 271--290.  [High-precision
% numerical calculations lead to the conjecture
% that best rational approximations to $|x|$ on $[-1,1]$
% converge asymptotically at the rate
% $\sim 8\exp(-\pi \sqrt n\kern 1pt )$, proved by
% Stahl 1993.]
% \par
% {\sc N. S. Vyacheslavov,} On the uniform approximation of $|x|$ by
% rational functions, {\em Sov.\ Math.\ Dokl.}\ 16 (1975), 100--104.
% [Sharpens the result of Newman 1964 by showing that rational approximations
% to $|x|$ on $[-1,1]$
% converge at the rate $O(\exp(-\pi \sqrt n\kern .7pt ))$.]
% \par
% {\sc J. Waldvogel,} Fast construction of the Fej\'er and Clenshaw--Curtis quadrature rules,
% {\em BIT Numer.\ Math.}\ 46 (2006), 195--202.
% [Presentation of $O(n\log n)$ algorithms for finding nodes and weights.]
% \par
% {\sc H. Wallin,} On the convergence theory of Pad\'e approximants, in
% {\em Linear Operators and Approximation}, Internat.\ Ser.\ Numer.\ Math.\ 20
% (1972), pp.~461--469.  [Shows that there exists an entire function $f$
% whose $(n,n)$ Pad\'e approximants are unbounded for all $z\ne 0$.]
% </latex>

%%
% <latex> \vspace{-1em} \small \parskip=2pt
% \def\parr{{\tiny\sl ~CHECK}\par}
% {\sc J. L. Walsh,} The existence of rational functions of best approximation,
% {\em Trans.\ Amer.\ Math.\ Soc.}\ 33 (1931), 668--689.
% [Shows that there exists a best rational approximation of type $(m,n)$ to
% a given continuous function $f$, not just on an interval such as
% $[-1,1]$ but also on more general sets in the complex plane.]
% \par
% {\sc J. L. Walsh,} On approximation to an analytic function by rational
% functions of best approximation, {\em Math.\ Z.}\ 38 (1934), 163--176.
% [Perhaps the first discussion of what is now called the Walsh table, the
% table of best rational approximations to a given function $f$ for various types
% $(m,n)$.]
% \par
% {\sc J. L. Walsh,} The analogue for maximally convergent polynomials of
% Jentzsch's theorem, {\em Duke Math.\ J.}\ 26 (1959), 605--616.
% [Shows that every point on the boundary of a region of convergence of a sequence
% of polynomial approximations is the limit of zeros of its partial sums.]
% \par
% {\sc J. L. Walsh,} {\em Interpolation and Approximation by Rational Functions in the Complex Domain},
% 5th ed., American Mathematical Society, 1969.
% [An encyclopedic but hard-to-read treatise on all kinds of
% material related to polynomial and rational approximation in
% the complex plane, originally published in 1935.]
% \par
% {\sc H. Wang and S. Xiang,} On the convergence rates of Legendre approximation,
% {\em Math.\ Comp.}\ 81 (2012), 861--877.
% [Theorem 3.1 connects barycentric interpolation weights $\{\lambda_k\}$
% and Gauss--Legendre quadrature weights $\{w_k\}$.]
% \par
% {\sc R. C. Ward,} Numerical computation of the matrix
% exponential with accuracy estimate, {\em SIAM J. Numer.\ Anal.}\ 14
% (1977), 600--610.  [Presentation of a scaling-and-squaring
% algorithm for computing the exponential of a matrix by Pad\'e approximation,
% a form of which is used by Matlab's {\tt expm} command.]
% \par
% {\sc E. Waring,} Problems concerning interpolations,
% {\em Phil.\ Trans.\ R. Soc.}\ 69 (1779), 59--67.
% [Presents the Lagrange interpolation formula 16 years before Lagrange.]
% \par
% {\sc G. A. Watson,} {\em Approximation Theory and Numerical Methods,}
% Wiley, 1980. [Textbook with special attention to $L_1$ and $L_p$ norms.]
% \par
% {\sc M. Webb,} Computing complex singularities of differential equations
% with Chebfun, {\em SIAM Undergrad.\ Research Online,} submitted, 2012.
% [Exploration of rational approximation for locating complex singularities
% of numerical solutions to ODE problems
% including Lorenz and Lotka--Volterra equations.]
% \par
% {\sc M. Webb, L. N. Trefethen and P. Gonnet,} Stability of barycentric interpolation
% formulas, {\em SIAM J. Sci.\ Comp.}, submitted, 2011.
% [Confirming the theory of Higham 2004, shows that the ``type 2'' barycentric
% interpolation formula can be dangerously unstable if used for
% extrapolation outside the data interval.]
% \par
% {\sc J. A. C. Weideman,} Computing the dynamics of
% complex singularities of nonlinear PDEs, {\em SIAM J.
% Appl.\ Dyn.\ Syst.}\ 2 (2003), 171--186.
% [Applies Pad\'e approximation to computed solutions of nonlinear
% time-dependent PDEs to estimate locations of moving poles and other singularities.]
% \par
% {\sc J. A. C. Weideman and S. C. Reddy,} A MATLAB differentiation matrix
% suite, {\em ACM Trans.\ Math.\ Softw.}\ 26 (2000), 465--519.
% [A widely-used collection of Matlab programs for generating
% Chebyshev, Legendre, Laguerre, Hermite, Fourier, and
% sinc spectral differentiation matrices of arbitrary order.]
% \par
% {\sc J. A. C. Weideman and L. N. Trefethen,}
% The kink phenomenon in Fej\'er and Clenshaw--Curtis quadrature,
% {\em Numer.\ Math.}\ 107 (2007), 707--727.  [Analysis of the effect that
% as $n$ increases, Clenshaw--Curtis quadrature initially converges at the same
% rate as Gauss rather than half as fast as commonly supposed.]
% \par
% {\sc J. A. C. Weideman and L. N. Trefethen,}
% Parabolic and hyperbolic contours for computing the Bromwich
% integral, {\em Math.\ Comput.}\ 76 (2007), 1341--1356.
% [Derivation of geometrically-convergent ``Talbot contour'' type
% rational approximations for problems related to $e^x$ on $(-\infty,0\kern .7pt]$.]
% \par
% {\sc K. Weierstrass,} \"Uber continuierliche Functionen eines reellen
% Arguments, die f\"ur keinen Werth des letzteren einen bestimmten
% Differentialquotienten besitzen, {\em K\"onigliche
% Akademie der Wissenschaften,} 1872.  [Weierstrass's publication of
% an example (which he had lectured on a decade earlier) of a continuous,
% nowhere-differentiable function.]
% \par
% {\sc K. Weierstrass,} \"Uber die analytische Darstellbarkeit
% sogenannter willk\"urlicher Functionen einer reellen 
% Ver\"anderlichen, {\em Sitzungsberichte der Akademie zu Berlin},
% 633--639 and 789--805, 1885.
% [Presentation of the Weierstrass approximation theorem.]
% \par
% {\sc B. D. Welfert,} Generation of pseudospectral differentiation
% matrices.\ I, {\em SIAM J. Numer.\ Anal.}\ 34 (1997), 1640--1657.
% [Derivation of stable recursive formulas for computation
% of derivatives of interpolants.]
% \par
% {\sc E. J. Weniger,} Nonlinear sequence transformations for the
% acceleration of convergence and the summation of divergent series,
% {\em Computer Phys.\ Rep.}\ 10 (1989), 189--371 (also available
% as arXiv:math/0306302v1, 2003).
% [Extensive survey.]
% \par
% {\sc H. Werner,} On the rational Tschebyscheff operator, {\em Math.\ Z.}\ 86
% (1964), 317--326.  [Shows that the operator mapping a real function
% $f\in C[-1,1]$ to its best real rational approximation of type $(m,n)$
% is continuous if and only if $f$ is itself rational of type $(m,n)$ or
% its best approximation has defect 0 (``nondegenerate'').]
% \par
% {\sc H. Wilbraham,} On a certain periodic function, {\em Cambridge and Dublin Math.\ J.}
% 3 (1848), 198--201.  [Analyzes the Gibbs phenomenon fifty years before Gibbs.]
% \par
% {\sc J. H. Wilkinson,} The perfidious polynomial, in G. H. Golub, ed., 
% {\em Studies in Numerical Analysis}, Math.\ Assoc.\ Amer., 1984.
% [Wilkinson's major work on polynomials was in the 1960s, but this
% entertaining review, which won the Chauvenet Prize of the Mathematical
% Association of America in 1987,
% remains noteworthy not least because of its memorable title.]
% \par
% {\sc J. Wimp,} {\em Sequence Transformations and their Applications,}
% Academic Press, 1981.
% [Monograph on many methods for acceleration of convergence.]
% \par
% {\sc C. Winston,} On mechanical quadratures formulae involving the
% classical orthogonal polynomials, {\em Ann.\ Math.}\ 35 (1934),
% 658--677.
% [States a general connection between Gauss--Jacobi quadrature
% weights and the Lagrange polynomials.]
% \parr
% {\sc P. Wynn,} On a device for computing the $e_m(S_n)$
% transformation, {\em Math.\ Comp.}\ 10 (1956), 91--96.
% [Wynn's first of many papers about the epsilon algorithm for acceleration of
% convergence of sequences.]
% \par
% {\sc S. Xiang and F. Bornemann,} On the convergence rates
% of Gauss and Clenshaw--Curtis quadrature for functions of
% limited regularity, archive 1203.2445v1, 2012.
% \parr
% {\sc K. Zhou, J. C. Doyle and K. Glover,} {\em Robust and Optimal Control},
% Prentice Hall, 1996.
% [A leading textbook on optimal control, with special attention
% to approximation issues.]
% \par
% {\sc W. P. Ziemer,} {\em Weakly Differentiable Functions}, Springer, 1989.
% [Includes a definition of
% total variation in the measure theoretic context.]
% \par
% </latex>
